<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */
// Get default  mods value.
$default = kyamera_pro_get_default_mods();

// Get the content type.
$about = get_theme_mod( 'kyamera_pro_about', 'custom' );

// Bail if the section is disabled.
if ( 'disable' === $about ) {
	return;
}

// Query if the content type is either post or page.
if (  in_array( $about, array( 'post', 'page' ) ) ) {

	if ( 'post' === $about ) {
		$id = get_theme_mod( 'kyamera_pro_about_post' );
	} else {
		$id = get_theme_mod( 'kyamera_pro_about_page' );
	}

	$query = new WP_Query( array( 'post_type' => $about, 'p' => absint( $id ) ) );

	if ( $query->have_posts() ) {
		while ( $query->have_posts() ) {
			$query->the_post();
			$img_url     = get_the_post_thumbnail_url( $id, 'post-thumbnails' );
			$title   = get_the_title();
			$content = get_the_content();
			$btn_url     = get_permalink();
		}
		wp_reset_postdata();
	}
} else {
	$title   = get_theme_mod( 'kyamera_pro_about_title', $default['kyamera_pro_about_title'] );
	$content = get_theme_mod( 'kyamera_pro_about_content', $default['kyamera_pro_about_content'] );
	$btn_url     = get_theme_mod( 'kyamera_pro_about_link','#' );

	$img_url = get_theme_mod( 'kyamera_pro_about_image','#' );
}

$btn_txt = get_theme_mod( 'kyamera_pro_about_btn_txt', $default['kyamera_pro_about_btn_txt'] );
$about_background = (get_theme_mod('kyamera_pro_design',$default['kyamera_pro_design']) == 'default-design') ? get_theme_mod( 'kyamera_pro_about_background' ) : '';
?>

<div id="about-us" class="relative page-section" style="background-image: url('<?php echo esc_url($about_background); ?>');">
	<?php if(get_theme_mod( 'kyamera_pro_design' == 'default-design'))
		echo '<div class="overlay"></div>';
	?>
    <div class="wrapper">
        <article class="has-post-thumbnail">
            <div class="featured-image">
                <a href="<?php echo esc_url($img_url); ?>"><img src="<?php echo esc_url($img_url); ?>" alt="<?php echo esc_attr( $title ); ?>"></a>
            </div><!-- .featured-image -->

            <div class="entry-container">
                <header class="section-header">
                    <h2 class="section-title"><a href="<?php echo esc_url($btn_url); ?>"><?php echo esc_html($title); ?></a></h2>
                </header>

                <div class="section-content">

                    <?php if ($about=='custom') {
                    	echo wp_kses_post($content);
                    } else{
                    	echo wp_trim_words( $content, 70); 
                    }?>
                </div><!-- .section-content -->
                <?php if ( ( !empty( $btn_txt ) ) && ( !empty( $btn_url ) ) ) :  ?>
	                <div class="read-more">
	                    <a href="<?php echo esc_url($btn_url); ?>" class="btn"><?php echo esc_html($btn_txt); ?></a>
	                </div><!-- .read-more -->
            	<?php endif; ?>
            </div><!-- .entry-container -->
        </article>
    </div><!-- .wrapper -->
</div><!-- #about-us -->