<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */
// Get default  mods value.
$default = kyamera_pro_get_default_mods();

// Get the content type.
$cta = get_theme_mod( 'kyamera_pro_cta', 'custom' );

// Bail if the section is disabled.
if ( 'disable' === $cta || (get_theme_mod('kyamera_pro_design','default-design') !== 'second-design') ) {
	return;
}

// Query if the content type is either post or page.
if (  in_array( $cta, array( 'post', 'page' ) ) ) {

	if ( 'post' === $cta ) {
		$id = get_theme_mod( 'kyamera_pro_cta_post' );
	} else {
		$id = get_theme_mod( 'kyamera_pro_cta_page' );
	}

	$query = new WP_Query( array( 'post_type' => $cta, 'p' => absint( $id ) ) );

	if ( $query->have_posts() ) {
		while ( $query->have_posts() ) {
			$query->the_post();
			$img_url     = get_the_post_thumbnail_url( $id, 'large' );
			$title   = get_the_title();
			$content = wp_trim_words( get_the_content(), 100); 
			$btn_url     = get_permalink();
		}
		wp_reset_postdata();
	}
} else {
	$title   = get_theme_mod( 'kyamera_pro_cta_title', $default['kyamera_pro_cta_title'] );
	$content = get_theme_mod( 'kyamera_pro_cta_content', $default['kyamera_pro_cta_content'] );
	$btn_url     = get_theme_mod( 'kyamera_pro_cta_link' );
	$img_url = get_theme_mod( 'kyamera_pro_cta_image' );
}

$btn_txt = get_theme_mod( 'kyamera_pro_cta_btn_txt', $default['kyamera_pro_cta_btn_txt'] );
?>
<div id="cta" class="page-section same-background">
    <div class="wrapper">
        <article class="has-post-thumbnail">
            <div class="featured-image" style="background-image:url('<?php echo esc_url($img_url); ?>')">
                
            </div><!-- .featured-image -->

            <div class="entry-container">
                <header class="section-header">
                    <h2 class="section-title"><a href="#"><?php echo esc_html($title); ?></a></h2>
                </header>

                <div class="section-content">
                    <p><?php echo wp_kses_post($content); ?></p>
                </div><!-- .section-content -->

                <div class="view-all">
                    <?php if(!empty($btn_url) && !empty($btn_txt)) :?>
                        <a href="<?php echo esc_url($btn_url); ?>" class="btn"><?php echo esc_html($btn_txt); ?></a>
                    <?php endif; ?>
                </div><!-- .read-more -->
            </div><!-- .entry-container -->
        </article>
    </div><!-- .wrapper -->
</div>

