<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */
// Get default  mods value.
$default = kyamera_pro_get_default_mods();

// Get the content type.
$introduction = get_theme_mod( 'kyamera_pro_introduction', 'custom' );

// Bail if the section is disabled.
if ( 'disable' === $introduction || (get_theme_mod('kyamera_pro_design','default-design') != 'default-design') ) {
	return;
}

// Query if the content type is either post or page.
if (  in_array( $introduction, array( 'post', 'page' ) ) ) {

	if ( 'post' === $introduction ) {
		$id = get_theme_mod( 'kyamera_pro_introduction_post' );
	} else {
		$id = get_theme_mod( 'kyamera_pro_introduction_page' );
	}

	$query = new WP_Query( array( 'post_type' => $introduction, 'p' => absint( $id ) ) );

	if ( $query->have_posts() ) {
		while ( $query->have_posts() ) {
			$query->the_post();
			$img_url     = get_the_post_thumbnail_url( $id, 'large' );
			$title   = get_the_title();
			$content = get_the_content();
			$btn_url     = get_permalink();
		}
		wp_reset_postdata();
	}
} else {
	$title   = get_theme_mod( 'kyamera_pro_introduction_title', $default['kyamera_pro_introduction_title'] );
	$content = get_theme_mod( 'kyamera_pro_introduction_content', $default['kyamera_pro_introduction_content'] );
	$btn_url     = get_theme_mod( 'kyamera_pro_introduction_link','#' );

	$img_url = get_theme_mod( 'kyamera_pro_introduction_image' );
}

$btn_txt = get_theme_mod( 'kyamera_pro_introduction_btn_txt', $default['kyamera_pro_introduction_btn_txt'] );
?>
<div id="introduction-section" class="relative page-section same-background">
        <div class="wrapper">
            <article>
                <div class="entry-container">
                    <div class="entry-header">
                        <h2 class="entry-title"><?php echo esc_html($title); ?></h2>
                    </div><!-- .entry-header -->

                    <div class="entry-content">
                        <?php if ($introduction=='custom') {
                    	echo wp_kses_post($content);
	                    } else{
	                    	echo wp_trim_words( $content, 10); 
	                    }?>
                    </div><!-- .entry-content -->
                    <?php if ( (!empty($btn_txt) ) && (!empty($btn_url)) ) : ?>
                        <div class="buy-now">
                            <a href="<?php echo esc_url($btn_url); ?>" class="btn"><?php echo esc_html($btn_txt); ?></a>
                        </div><!-- .read-more -->
                	<?php endif; ?>
                </div><!-- .entry-container -->

                <div class="featured-image">
                    <a href="<?php echo esc_url($btn_url); ?>"><img src="<?php echo esc_url($img_url); ?>" alt="<?php echo esc_attr($title); ?>"></a>
                </div><!-- .featured-image -->
            </article>
        </div><!-- .wrapper -->
</div><!-- #introduction-section -->


