<?php
/**
 * Template part for displaying front page partner.
 *
 * @package Moral
 */

$partner = get_theme_mod( 'kyamera_pro_enable_partner', true );

if ( ! $partner ) {
	return;
}

$partner_num = get_theme_mod( 'kyamera_pro_partner_num', 4 );

$col_class = '';
if ( $partner_num > 5 ) {
	if ( $partner_num % 4 === 0 ) {
		$col_class = 4;
	} elseif ( $partner_num % 3 === 0 ) {
		$col_class = 3;
	} elseif ( $partner_num % 5 === 0 ) {
		$col_class = 5;
	} else {
		$col_class = 5;
	}
} else {
	$col_class = $partner_num;
}
?>
<div id="our-partners" class="relative page-section">
	<div class="wrapper">
		<!-- .supports col-1, col-2, col-3, col-4, col-5 -->
		<div class=" col-<?php echo esc_attr( $col_class );?> "> 
			<?php for ( $i=1; $i <= $partner_num; $i++ ) { 
				$url = get_theme_mod( 'kyamera_pro_partner_link_' . $i, '#' );
				$img_url = get_theme_mod( 'kyamera_pro_partner_logo_' . $i );
				$open_in_new_tab = get_theme_mod( 'kyamera_pro_partner_open_new_tab_' . $i, true );
				$a_attr = '';
				if ( $open_in_new_tab ) {
					$a_attr = 'target="_blank"';
				}

				if ( ! empty( $img_url ) ) :
					?>
					<article class="animated animatedFadeInUp">
						<a <?php echo esc_attr( $a_attr ); ?> href="<?php echo esc_url( $url ); ?>"><img src="<?php echo esc_url( $img_url ); ?>" alt="<?php echo esc_attr__( 'Partner', 'kyamera-pro' ); ?>"></a>
					</article>
					<?php 
				endif;
			} ?>
		</div><!-- .section-content -->
    </div><!-- .wrapper -->
</div><!-- #partners-logo -->