<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */
// Get default  mods value.
$default = kyamera_pro_get_default_mods();

// Get the content type.
$slider = get_theme_mod( 'kyamera_pro_slider', 'custom' );
$slider_num = get_theme_mod( 'kyamera_pro_slider_num', '3' );

// Bail if the section is disabled.
if ( 'disable' === $slider || (get_theme_mod( 'kyamera_pro_design') != 'second-design') ) {
	return;
}

$learn_more_btn_txt = get_theme_mod( 'kyamera_pro_slider_learn_more_btn_txt', esc_html__('Learn More', 'kyamera-pro') );
$learn_more_link = get_theme_mod( 'kyamera_pro_slider_learn_more_link', '#' );
$get_started_btn_txt = get_theme_mod( 'kyamera_pro_slider_get_started_btn_txt', esc_html__('Get Started', 'kyamera-pro') );
$get_started_link = get_theme_mod( 'kyamera_pro_slider_get_started_link', '#' );

?>
<div id="featured-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 2000, "dots": false, "arrows":true, "autoplay": false, "draggable": true, "fade": true }'>
    <?php 
    if (  in_array( $slider, array( 'post', 'page', 'cat' ) ) ) {
        if ( 'cat' === $slider ) {
        $cat_id = get_theme_mod( 'kyamera_pro_slider_cat' );
        $args = array(
            'cat' => $cat_id,   
            'posts_per_page' =>  absint( $slider_num ),
        );
    } else {
        $id = array();
        for ( $i=1; $i <= $slider_num; $i++ ) { 
            $id[] = get_theme_mod( "kyamera_pro_slider_{$slider}_" . $i );
        }
        $args = array(
            'post_type' => $slider,
            'post__in' => (array) $id,   
            'orderby'   => 'post__in',
            'posts_per_page' => absint( $slider_num ),
            'ignore_sticky_posts' => true,
        );
    }

    $query = new WP_Query( $args );
    if ( $query->have_posts() ) :
        while ( $query->have_posts() ) :
        $query->the_post(); ?>
        <article style="background-image:url('<?php echo esc_url(get_the_post_thumbnail_url( $id, 'large' )); ?>');">
            <div class="overlay"></div>
            <div class="wrapper">
                <div class="featured-content-wrapper">
                    <header class="entry-header">
                        <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                    </header>

                    <div class="entry-content">
                        <p><?php echo wp_kses_post(wp_trim_words( get_the_content(), 30)) ; ?></p>
                    </div><!-- .entry-content-->
                    <div class="read-more">
                        <?php if(!empty($learn_more_btn_txt) && !empty($learn_more_link) ): ?>
                            <a href="<?php echo esc_url($learn_more_link); ?>" class="btn learn-more"><?php echo esc_html($learn_more_btn_txt); ?></a>
                        <?php endif; ?>
                        <?php if(!empty($get_started_btn_txt) && !empty($get_started_link) ): ?>
                            <a href="<?php echo esc_url($get_started_link); ?>" class="btn get-started"><?php echo esc_html($get_started_btn_txt); ?></a>
                        <?php endif; ?>
                    </div><!-- .read-more -->
                </div><!-- .featured-content-wrapper -->
            </div><!-- .wrapper -->
        </article>
        <?php
        endwhile;
        wp_reset_postdata();
    endif;

    } else{
        for ( $i=1; $i <= $slider_num; $i++ ) { 
            $title   = get_theme_mod( 'kyamera_pro_slider_custom_title_' . $i, $default['kyamera_pro_slider_custom_title'] );
            $image   = get_theme_mod( 'kyamera_pro_slider_custom_image_' . $i, '#');
            $excerpt   = get_theme_mod( 'kyamera_pro_slider_custom_content_' . $i, $default['kyamera_pro_slider_custom_content'] );
            $url   = get_theme_mod( 'kyamera_pro_slider_link_' . $i, '#' );
            ?>
        <article style="background-image:url('<?php echo esc_url($image); ?>');">
            <div class="overlay"></div>
            <div class="wrapper">
                <div class="featured-content-wrapper">
                    <header class="entry-header">
                        <h2 class="entry-title"><a href="<?php echo esc_url($url); ?>"><?php echo esc_html($title); ?></a></h2>
                    </header>

                    <div class="entry-content">
                        <p><?php echo wp_kses_post($excerpt); ?></p>
                    </div><!-- .entry-content-->
                    <div class="read-more">
                        <?php if(!empty($learn_more_btn_txt) && !empty($learn_more_link) ): ?>
                            <a href="<?php echo esc_url($learn_more_link); ?>" class="btn learn-more"><?php echo esc_html($learn_more_btn_txt); ?></a>
                        <?php endif; ?>
                        <?php if(!empty($get_started_btn_txt) && !empty($get_started_link) ): ?>
                            <a href="<?php echo esc_url($get_started_link); ?>" class="btn get-started"><?php echo esc_html($get_started_btn_txt); ?></a>
                        <?php endif; ?>
                    </div><!-- .read-more -->
                </div><!-- .featured-content-wrapper -->
            </div><!-- .wrapper -->
        </article>
        <?php }
        } ?>
</div><!-- #featured-slider -->

