<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 */

/**
 * Get all the default values of the theme mods.
 */
function kyamera_pro_get_default_mods() {
	$kyamera_pro_default_mods = array(
		//design
		'kyamera_pro_design'=>'default-design', 
		// Introduction
		'kyamera_pro_introduction_title' => esc_html__( 'Smartest Capture', 'kyamera-pro' ),
		'kyamera_pro_introduction_content' => esc_html__( 'There is a beauty in simplicity of every theme design!!', 'kyamera-pro' ),
		'kyamera_pro_introduction_btn_txt' => esc_html__( 'Order Online', 'kyamera-pro' ),
		
		// Products
		'kyamera_pro_products_custom_type' => 'page',
		'kyamera_pro_products_title' => esc_html__( 'Our Products', 'kyamera-pro' ),

		// About
		'kyamera_pro_about_title' => esc_html__( 'About', 'kyamera-pro' ),
		'kyamera_pro_about_content' => esc_html__( 'That noise has to be removed, somehow, and that comes at a cost: noise reduction removes a bit of detail and local contrast. Unless you have bionic arms, it’s impossible to hold your phone perfectly still for this long. To get a sharp, perfectly aligned burst of images, the iPhone needs to take photos really fast. That requires a shorter shutter speed — and that, in turn, means that there will be more noise in the image.', 'kyamera-pro' ),
		'kyamera_pro_about_btn_txt' => esc_html__( 'Know More', 'kyamera-pro' ),

		//slider
		'kyamera_pro_slider_custom_title'=>esc_html__('Grow financially with us','kyamera-pro'),
		'kyamera_pro_slider_learn_more_btn_txt'=>esc_html__('Learn More','kyamera-pro'),
		'kyamera_pro_slider_get_started_btn_txt'=>esc_html__('Get Started','kyamera-pro'),
		'kyamera_pro_slider_custom_content'=>esc_html('Unless you have bionic arms, it’s impossible to hold your phone perfectly still for this long. To get a sharp, perfectly aligned burst of images, the iPhone needs to take photos really fast. That requires a shorter shutter speed.','kyamera-pro'),
		

		// Features
		'kyamera_pro_features_section_title' => esc_html__( 'Our Features', 'kyamera-pro' ),
		'kyamera_pro_features_custom_content' => esc_html__( 'PYou can now take selfies or photos with harsh backlight, side light or other unflattering light sources and end up with best result.', 'kyamera-pro' ),
		'kyamera_pro_features_custom_title' => esc_html__( 'VERSATILE LENSE', 'kyamera-pro' ),
		'kyamera_pro_features_btn_txt' => esc_html__( 'More Features', 'kyamera-pro' ),


		//CTA
		'kyamera_pro_cta_title'=>esc_html__('Best financial solutions', 'kyamera-pro'),
		'kyamera_pro_cta_btn_txt'=>esc_html__('Know More', 'kyamera-pro'),
		'kyamera_pro_cta_content'=>esc_html__('Unless you have bionic arms, it’s impossible to hold your phone perfectly still for this long. To get a sharp, perfectly aligned burst of images, the iPhone needs to take photos really fast. That requires a shorter shutter speed — and that, in turn, means that there will be more noise in the image.', 'kyamera-pro'),

		// gallery
		'kyamera_pro_gallery_section_title' => esc_html__( 'Photo Gallery', 'kyamera-pro' ),
		'kyamera_pro_gallery_custom_title' => esc_html__( 'Alex Pesenka', 'kyamera-pro' ),
		'kyamera_pro_gallery_custom_subtitle' => esc_html__( 'Wildlife Photographer @Amazon', 'kyamera-pro' ),
		'kyamera_pro_gallery_btn_txt'	=> esc_html__('Our Projects', 'kyamera-pro'),


		// Testimonials
		'kyamera_pro_testimonial_custom_content' => esc_html__( '"Donec vehicula lacus ornare libero molestie, et pharetra neque sodales. Phasellus porttitor dapibus nulla. Suspendisse laoreet felis vitae tortor eleifend, ac cursus quam tempor."', 'kyamera-pro' ),
		'kyamera_pro_testimonial_custom_name' => esc_html__( 'Federica Corneli', 'kyamera-pro' ),
		'kyamera_pro_testimonial_custom_sub_title' => esc_html__( 'New York, U.S.A', 'kyamera-pro' ),

		// Footer copyright
		'kyamera_pro_copyright_txt' => sprintf( esc_html__( 'Theme: %1$s by %2$s.', 'kyamera-pro' ), 'Kyamera Pro', '<a href="' . esc_url( 'http://moralthemes.com/' ) . '">Moral Themes</a>' ),

		// Homepage sortable sections
		'kyamera_pro_sort_home_sections' => array( 'introduction','slider', 'products', 'about', 'features', 'gallery', 'cta', 'testimonial', 'partner' ),
	);

	return apply_filters( 'kyamera_pro_default_mods', $kyamera_pro_default_mods );
}

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function kyamera_pro_customize_register( $wp_customize ) {
	/**
	 * Separator custom control
	 *
	 * @version 1.0.0
	 * @since  1.0.0
	 */
	class Kyamera_Pro_Separator_Custom_Control extends WP_Customize_Control {
		/**
		 * Control type
		 *
		 * @var string
		 */
		public $type = 'kyamera-separator';
		/**
		 * Control method
		 *
		 * @since 1.0.0
		 */
		public function render_content() {
			?>
			<p><hr style="border-color: #222; opacity: 0.2;"></p>
			<?php
		}
	}

	/**
	 * The radio image customize control extends the WP_Customize_Control class.  This class allows
	 * developers to create a list of image radio inputs.
	 *
	 * Note, the `$choices` array is slightly different than normal and should be in the form of
	 * `array(
		 *	$value => array( 'color' => $color_value ),
		 *	$value => array( 'color' => $color_value ),
	 * )`
	 *
	 */

	/**
	 * Radio color customize control.
	 *
	 * @since  3.0.0
	 * @access public
	 */
	class Kyamera_Pro_Customize_Control_Radio_Color extends WP_Customize_Control {

		/**
		 * The type of customize control being rendered.
		 *
		 * @since  3.0.0
		 * @access public
		 * @var    string
		 */
		public $type = 'radio-color';

		/**
		 * Add custom parameters to pass to the JS via JSON.
		 *
		 * @since  3.0.0
		 * @access public
		 * @return void
		 */
		public function to_json() {
			parent::to_json();

			// We need to make sure we have the correct color URL.
			foreach ( $this->choices as $value => $args )
				$this->choices[ $value ]['color'] = esc_attr( $args['color'] );

			$this->json['choices'] = $this->choices;
			$this->json['link']    = $this->get_link();
			$this->json['value']   = $this->value();
			$this->json['id']      = $this->id;
		}

		/**
		 * Don't render the content via PHP.  This control is handled with a JS template.
		 *
		 * @since  4.0.0
		 * @access public
		 * @return bool
		 */
		protected function render_content() {}

		/**
		 * Underscore JS template to handle the control's output.
		 *
		 * @since  3.0.0
		 * @access public
		 * @return void
		 */
		public function content_template() { ?>

			<# if ( ! data.choices ) {
				return;
			} #>

			<# if ( data.label ) { #>
				<span class="customize-control-title">{{ data.label }}</span>
			<# } #>

			<# if ( data.description ) { #>
				<span class="description customize-control-description">{{{ data.description }}}</span>
			<# } #>

			<# _.each( data.choices, function( args, choice ) { #>
				<label>
					<input type="radio" value="{{ choice }}" name="_customize-{{ data.type }}-{{ data.id }}" {{{ data.link }}} <# if ( choice === data.value ) { #> checked="checked" <# } #> />

					<span class="screen-reader-text">{{ args.label }}</span>
					
					<# if ( 'custom' != choice ) { #>
						<span class="color-value" style="background-color: {{ args.color }}"></span>
					<# } else { #>
						<span class="color-value custom-color-value"></span>
					<# } #>
				</label>
			<# } ) #>
		<?php }
	}

	$wp_customize->register_control_type( 'Kyamera_Pro_Customize_Control_Radio_Color'       );

	class Kyamera_Pro_Customize_Control_Sort_Sections extends WP_Customize_Control {

	  	/**
	   	* Control Type
	   	*/
	  	public $type = 'sortable';
	  
		/**
		* Add custom parameters to pass to the JS via JSON.
		*
		* @access public
		* @return void
		*/
	  	public function to_json() {
		  	parent::to_json();

	    	$choices = $this->choices;
	      	$choices = array_filter( array_merge( array_flip( $this->value() ), $choices ) );
		  	$this->json['choices'] = $choices;
		  	$this->json['link']    = $this->get_link();
		  	$this->json['value']   = $this->value();
		  	$this->json['id']      = $this->id;
	  	}

	  	/**
	   	* Render Settings
	   	*/
	  	public function content_template() { ?>
		  	<# if ( ! data.choices ) {
		  		return;
		  	} #>

		    <# if ( data.label ) { #>
				<span class="customize-control-title">{{ data.label }}</span>
			<# } #>

		    <# if ( data.description ) { #>
				<span class="description customize-control-description">{{{ data.description }}}</span>
			<# } #>

		    <ul class="kyamera-sortable-list">

		      	<# _.each( data.choices, function( args, choice ) { #>

		        <li>
		            <input class="kyamera-sortable-input sortable-hideme" name="{{choice}}" type="hidden"  value="{{ choice }}" />
		            <span class ="menu-item-handle sortable-span">{{args.name}}</span>
		          <i title="<?php esc_attr_e( 'Drag and Move', 'kyamera-pro' );?>" class="dashicons dashicons-menu kyamera-drag-handle"></i>
		          <i title="<?php esc_attr_e( 'Edit', 'kyamera-pro' );?>" class="dashicons dashicons-edit kyamera-edit" data-jump="{{args.section_id}}"></i>
		        </li>

		        <# } ) #>

		        <li class="sortable-hideme">
		          <input class="kyamera-sortable-value" {{{ data.link }}} value="{{data.value}}" />
		        </li>

		    </ul>
	  	<?php
	  	}
	}

	$wp_customize->register_control_type( 'Kyamera_Pro_Customize_Control_Sort_Sections' );

	$default = kyamera_pro_get_default_mods();

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'blogname', array(
			'selector'        => '.site-title a',
			'render_callback' => 'kyamera_pro_customize_partial_blogname',
		) );
		$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
			'selector'        => '.site-description',
			'render_callback' => 'kyamera_pro_customize_partial_blogdescription',
		) );
	}


	$wp_customize->add_section(
		'kyamera_pro_design_section',
		array(
			'title' => esc_html__( 'Homepage Design', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_home_panel',
		)
	);

	// Homepage Design settings
	$wp_customize->add_setting(
		'kyamera_pro_design',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => $default['kyamera_pro_design'],
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_design',
		array(
			'section'		=> 'kyamera_pro_design_section',
			'label'			=> esc_html__( 'Homepage Design Options', 'kyamera-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
					'default-design' => esc_html__( 'Default Design', 'kyamera-pro' ),
					'second-design' => esc_html__( 'Second Design', 'kyamera-pro' ),
					)
		)
	);

	/**
	 *
	 * 
	 * Header panel
	 *
	 * 
	 */
	// Header panel
	$wp_customize->add_panel(
		'kyamera_pro_header_panel',
		array(
			'title' => esc_html__( 'Header', 'kyamera-pro' ),
			'priority' => 100
		)
	);

	$wp_customize->get_section( 'title_tagline' )->panel         = 'kyamera_pro_header_panel';
	$wp_customize->get_section( 'header_image' )->panel         = 'kyamera_pro_header_panel';

	// Header text display setting
		$wp_customize->add_setting(	
			'kyamera_pro_header_text_display',
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
				'default' => true,
				'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_header_text_display',
			array(
				'section'		=> 'title_tagline',
				'type'			=> 'checkbox',
				'label'			=> esc_html__( 'Display Site Title and Tagline', 'kyamera-pro' ),
			)
		);
	// Header section
	$wp_customize->add_section(
		'kyamera_pro_header_section',
		array(
			'title' => esc_html__( 'Header', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_header_panel',
		)
	);

	// Header menu sticky enable settings
	$wp_customize->add_setting(
		'kyamera_pro_make_menu_sticky',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => false
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_make_menu_sticky',
		array(
			'section'		=> 'kyamera_pro_header_section',
			'label'			=> esc_html__( 'Make menu sticky.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Header search form settings
	$wp_customize->add_setting(
		'kyamera_pro_show_top_button',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_show_top_button',
		array(
			'section'		=> 'kyamera_pro_header_section',
			'label'			=> esc_html__( 'Show Top Button.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Header search form settings
	$wp_customize->add_setting(
		'kyamera_pro_show_top_button_text',
		array(
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_show_top_button_text',
		array(
			'section'		=> 'kyamera_pro_header_section',
			'label'			=> esc_html__( 'Top Button Text', 'kyamera-pro' ),
			'type'			=> 'text',
		)
	);

	// Header search form settings
	$wp_customize->add_setting(
		'kyamera_pro_show_top_button_url',
		array(
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_show_top_button_url',
		array(
			'section'		=> 'kyamera_pro_header_section',
			'label'			=> esc_html__( 'Top Button url', 'kyamera-pro' ),
			'type'			=> 'url',
		)
	);

	/**
	 *
	 * 
	 * Home sections panel
	 *
	 * 
	 */
	// Home sections panel
	$wp_customize->add_panel(
		'kyamera_pro_home_panel',
		array(
			'title' => esc_html__( 'Homepage', 'kyamera-pro' ),
			'priority' => 105
		)
	);

	$wp_customize->get_section( 'static_front_page' )->panel         = 'kyamera_pro_home_panel';

	// Homepage sort section
	$wp_customize->add_section(
		'kyamera_pro_homepage_section_sort',
		array(
			'title' => esc_html__( 'Sort sections', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_home_panel',
		)
	);

	// Homepage sections sortable.
	$wp_customize->add_setting(	
		'kyamera_pro_sort_home_sections',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_sort',
			'default'	=> $default['kyamera_pro_sort_home_sections'],
		)
	);

	$wp_customize->add_control( 
		new Kyamera_Pro_Customize_Control_Sort_Sections( 
		$wp_customize,
		'kyamera_pro_sort_home_sections',
			array(
				'section'		=> 'kyamera_pro_homepage_section_sort',
				'label'			=> esc_html__( 'Sort sections', 'kyamera-pro' ),
				'choices'  => array(
		             
		            'introduction'    => array(
		            	'name' => esc_html__( 'Introduction', 'kyamera-pro' ),
		            	'section_id' => 'kyamera_pro_introduction'
		            ),
		            'slider'    => array(
		            	'name' => esc_html__( 'Slider', 'kyamera-pro' ),
		            	'section_id' => 'kyamera_pro_slider_section'
		            ),
		    
		            'products'    => array(
		            	'name' => esc_html__( 'Products', 'kyamera-pro' ),
		            	'section_id' => 'kyamera_pro_products'
		            ), 
		            'about'    => array(
		            	'name' => esc_html__( 'About', 'kyamera-pro' ),
		            	'section_id' => 'kyamera_pro_about'
		            ),
		            'features'    => array(
		            	'name' => esc_html__( 'Features', 'kyamera-pro' ),
		            	'section_id' => 'kyamera_pro_features'
		            ),
		            'gallery'    => array(
		             	'name' => esc_html__( 'gallery', 'kyamera-pro' ),
		            	'section_id' => 'kyamera_pro_gallery'
		             ),
		            'cta'    => array(
		             	'name' => esc_html__( 'Call To Action', 'kyamera-pro' ),
		            	'section_id' => 'kyamera_pro_cta'
		             ),
		            'testimonial'    => array(
		            	'name' => esc_html__( 'Testimonial', 'kyamera-pro' ),
		            	'section_id' => 'kyamera_pro_testimonial'
		            ), 
		            'partner'    => array(
		            	'name' => esc_html__( 'Partner', 'kyamera-pro' ),
		            	'section_id' => 'kyamera_pro_partner'
		            ),
		        ),
			)
		)
	);

	// Your latest posts title setting
	$wp_customize->add_setting(	
		'kyamera_pro_your_latest_posts_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => esc_html__( 'Blogs', 'kyamera-pro' ),
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_your_latest_posts_title',
		array(
			'section'		=> 'static_front_page',
			'label'			=> esc_html__( 'Title:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_is_latest_posts'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_your_latest_posts_title', 
		array(
	        'selector'            => '.home.blog #page-header .page-title',
			'render_callback'     => 'kyamera_pro_your_latest_posts_partial_title',
    	) 
    );

	/**
	 * Introduction section
	 */
	// Introduction section
	$wp_customize->add_section(
		'kyamera_pro_introduction',
		array(
			'title' => esc_html__( 'Introduction', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_home_panel',
			'active_callback' => 'kyamera_pro_if_introduction_section_enable',

		)
	);

	// Introduction enable settings
	$wp_customize->add_setting(
		'kyamera_pro_introduction',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_introduction',
		array(
			'section'		=> 'kyamera_pro_introduction',
			'label'			=> esc_html__( 'Content type:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'kyamera-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'kyamera-pro' ),
					'post' => esc_html__( 'Post', 'kyamera-pro' ),
					'page' => esc_html__( 'Page', 'kyamera-pro' ),
					'custom' => esc_html__( 'Custom', 'kyamera-pro' ),
			 	)
		)
	);

	// Introduction post setting
	$wp_customize->add_setting(
		'kyamera_pro_introduction_post',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_introduction_post',
		array(
			'section'		=> 'kyamera_pro_introduction',
			'label'			=> esc_html__( 'Post:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_introduction_post',
			'type'			=> 'select',
			'choices'		=> kyamera_pro_get_post_choices(),
		)
	);

	// Introduction page setting
	$wp_customize->add_setting(
		'kyamera_pro_introduction_page',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_introduction_page',
		array(
			'section'		=> 'kyamera_pro_introduction',
			'label'			=> esc_html__( 'Page:', 'kyamera-pro' ),
			'type'			=> 'dropdown-pages',
			'active_callback' => 'kyamera_pro_if_introduction_page'
		)
	);

	// Introduction image setting
	$wp_customize->add_setting(
		'kyamera_pro_introduction_image',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'kyamera_pro_introduction_image',
			array(
				'section'		=> 'kyamera_pro_introduction',
				'label'			=> esc_html__( 'Image:', 'kyamera-pro' ),
				'active_callback' => 'kyamera_pro_if_introduction_custom',
			)
		)
	);

	// Introduction title setting
	$wp_customize->add_setting(
		'kyamera_pro_introduction_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['kyamera_pro_introduction_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_introduction_title',
		array(
			'section'		=> 'kyamera_pro_introduction',
			'label'			=> esc_html__( 'Title:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_introduction_custom'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_introduction_title', 
		array(
	        'selector'            => '#introduction-section .section-title',
			'render_callback'     => 'kyamera_pro_introduction_partial_title',
    	) 
    );

	// Introduction content setting
	$wp_customize->add_setting(
		'kyamera_pro_introduction_content',
		array(
			'sanitize_callback' => 'sanitize_textarea_field',
			'default' => $default['kyamera_pro_introduction_content'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_introduction_content',
		array(
			'section'		=> 'kyamera_pro_introduction',
			'label'			=> esc_html__( 'Content:', 'kyamera-pro' ),
			'type'			=> 'textarea',
			'active_callback' => 'kyamera_pro_if_introduction_custom'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_introduction_content', 
		array(
	        'selector'            => '#introduction-section .entry-content',
			'render_callback'     => 'kyamera_pro_introduction_partial_content',
    	) 
    );

	// Introduction button text setting
	$wp_customize->add_setting(
		'kyamera_pro_introduction_btn_txt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['kyamera_pro_introduction_btn_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_introduction_btn_txt',
		array(
			'section'		=> 'kyamera_pro_introduction',
			'label'			=> esc_html__( 'Button Text:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_introduction_enabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_introduction_btn_txt', 
		array(
	        'selector'            => '#introduction-section .more-link a',
			'render_callback'     => 'kyamera_pro_introduction_partial_btn_txt',
    	) 
    );

	// Introduction link setting
	$wp_customize->add_setting(
		'kyamera_pro_introduction_link',
		array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '#',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_introduction_link',
		array(
			'section'		=> 'kyamera_pro_introduction',
			'label'			=> esc_html__( 'Button Link:', 'kyamera-pro' ),
			'type'			=> 'url',
			'active_callback' => 'kyamera_pro_if_introduction_custom'
		)
	);

	/**
	 * Slider section
	 */
	// slider section
	$wp_customize->add_section(
		'kyamera_pro_slider_section',
		array(
			'title' => esc_html__( 'Slider', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_home_panel',
			'active_callback' => 'kyamera_pro_if_slider_section_enable'

		)
	);

	// slider enable settings
	$wp_customize->add_setting(
		'kyamera_pro_slider',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_slider',
		array(
			'section'		=> 'kyamera_pro_slider_section',
			'label'			=> esc_html__( 'Content type:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'kyamera-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'kyamera-pro' ),
					'post' => esc_html__( 'Post', 'kyamera-pro' ),
					'page' => esc_html__( 'Page', 'kyamera-pro' ),
					'cat' => esc_html__( 'Category', 'kyamera-pro' ),
					'custom' => esc_html__( 'Custom', 'kyamera-pro' ),
			 	)
		)
	);

    // slider number setting
	$wp_customize->add_setting(
		'kyamera_pro_slider_num',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_number_range',
			'default' => 3,
			'transport'	=> 'refresh',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_slider_num',
		array(
			'section'		=> 'kyamera_pro_slider_section',
			'label'			=> esc_html__( 'Number of slider:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 8', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_slider_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 8 ),
		)
	);

	// slider number separator setting
	$wp_customize->add_setting(
		'kyamera_pro_slider_num_separator',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Kyamera_Pro_Separator_Custom_Control( 
		$wp_customize,
		'kyamera_pro_slider_num_separator',
			array(
				'section'		=> 'kyamera_pro_slider_section',
				'active_callback' => 'kyamera_pro_if_slider_not_disabled',
				'type'			=> 'kyamera-separator',
			)
		)
	);

    // slider category setting
	$wp_customize->add_setting(
		'kyamera_pro_slider_cat',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_slider_cat',
		array(
			'section'		=> 'kyamera_pro_slider_section',
			'label'			=> esc_html__( 'Category:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_slider_cat',
			'type'			=> 'select',
			'choices'		=> kyamera_pro_get_post_cat_choices(),
		)
	);



	$slider_num = get_theme_mod( 'kyamera_pro_slider_num', 3 );
	for ( $i=1; $i <= $slider_num; $i++ ) { 

		// slider custom title setting
		$wp_customize->add_setting(
			'kyamera_pro_slider_custom_title_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['kyamera_pro_slider_custom_title'],
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_slider_custom_title_' . $i,
			array(
				'section'		=> 'kyamera_pro_slider_section',
				'label'			=> esc_html__( 'Title ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_slider_custom'
			)
		);

	    // slider custom content setting
		$wp_customize->add_setting(
			'kyamera_pro_slider_custom_content_' . $i,
			array(
				'sanitize_callback' => 'sanitize_textarea_field',
				'default' => $default['kyamera_pro_slider_custom_content'],
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_slider_custom_content_' . $i,
			array(
				'section'		=> 'kyamera_pro_slider_section',
				'label'			=> esc_html__( 'Content ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_slider_custom',
				'type'			=> 'textarea'
			)
		);
		// slider image setting
		$wp_customize->add_setting(
			'kyamera_pro_slider_image',
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'kyamera_pro_slider_image',
				array(
					'section'		=> 'kyamera_pro_slider',
					'label'			=> esc_html__( 'Image:', 'kyamera-pro' ),
					'active_callback' => 'kyamera_pro_if_slider_custom',
				)
			)
		);
		// slider custom link setting
		$wp_customize->add_setting(
			'kyamera_pro_slider_link_' . $i,
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default'		=> '#',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_slider_link_' . $i,
			array(
				'section'		=> 'kyamera_pro_slider_section',
				'label'			=> esc_html__( 'Link ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_slider_custom',
				'type'			=> 'url',
			)
		);

		// slider post setting
		$wp_customize->add_setting(
			'kyamera_pro_slider_post_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_slider_post_' . $i,
			array(
				'section'		=> 'kyamera_pro_slider_section',
				'label'			=> esc_html__( 'Post ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_slider_post',
				'type'			=> 'select',
				'choices'		=> kyamera_pro_get_post_choices(),
			)
		);

		// slider page setting
		$wp_customize->add_setting(
			'kyamera_pro_slider_page_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_slider_page_' . $i,
			array(
				'section'		=> 'kyamera_pro_slider_section',
				'label'			=> esc_html__( 'Page ', 'kyamera-pro' ) . $i,
				'type'			=> 'dropdown-pages',
				'active_callback' => 'kyamera_pro_if_slider_page'
			)
		);

		// slider separator setting
		$wp_customize->add_setting(
			'kyamera_pro_slider_separator_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Kyamera_Pro_Separator_Custom_Control( 
			$wp_customize,
			'kyamera_pro_slider_separator_' . $i,
				array(
					'section'		=> 'kyamera_pro_slider_section',
					'active_callback' => 'kyamera_pro_if_slider_separator_enable',
					'type'			=> 'kyamera-separator',
				)
			)
		);
	}

	// slider learn more button text setting
	$wp_customize->add_setting(
		'kyamera_pro_slider_learn_more_btn_txt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['kyamera_pro_slider_learn_more_btn_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_slider_learn_more_btn_txt',
		array(
			'section'		=> 'kyamera_pro_slider_section',
			'label'			=> esc_html__( 'Learn More Button Text:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_slider_not_disabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_slider_learn_more_btn_txt', 
		array(
			'selector'            => '#featured-slider div.read-more a.learn-more',
			'render_callback'     => 'kyamera_pro_slider_learn_more_partial_btn_txt',
		) 
	);

	// slider link setting
	$wp_customize->add_setting(
		'kyamera_pro_slider_learn_more_link',
		array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '#',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_slider_learn_more_link',
		array(
			'section'		=> 'kyamera_pro_slider_section',
			'label'			=> esc_html__( 'Learn More Button Link:', 'kyamera-pro' ),
			'type'			=> 'url',
			'active_callback' => 'kyamera_pro_if_slider_not_disabled'
		)
	);

	// slider fet started button text setting
	$wp_customize->add_setting(
		'kyamera_pro_slider_get_started_btn_txt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['kyamera_pro_slider_get_started_btn_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_slider_get_started_btn_txt',
		array(
			'section'		=> 'kyamera_pro_slider_section',
			'label'			=> esc_html__( 'Get Started Button Text:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_slider_not_disabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_slider_get_started_btn_txt', 
		array(
			'selector'            => '#featured-slider div.read-more a.get-started',
			'render_callback'     => 'kyamera_pro_slider_get_started_partial_btn_txt',
		) 
	);

	// slider link setting
	$wp_customize->add_setting(
		'kyamera_pro_slider_get_started_link',
		array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '#',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_slider_get_started_link',
		array(
			'section'		=> 'kyamera_pro_slider_section',
			'label'			=> esc_html__( 'Get Started Button Link:', 'kyamera-pro' ),
			'type'			=> 'url',
			'active_callback' => 'kyamera_pro_if_slider_not_disabled'
		)
	);


	/**
	 * Products section
	 */
	// Products section
	$wp_customize->add_section(
		'kyamera_pro_products',
		array(
			'title' => esc_html__( 'Products', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_home_panel',
			'active_callback' => 'kyamera_pro_if_products_section_enable'
		)
	);

	// Products enable settings
	$wp_customize->add_setting(
		'kyamera_pro_products',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_products',
		array(
			'section'		=> 'kyamera_pro_products',
			'label'			=> esc_html__( 'Content type:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'kyamera-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'kyamera-pro' ),
					'post' => esc_html__( 'Post', 'kyamera-pro' ),
					'page' => esc_html__( 'Page', 'kyamera-pro' ),
					'cat' => esc_html__( 'Category', 'kyamera-pro' ),
					'custom' => esc_html__( 'Custom', 'kyamera-pro' ),
			 	)
		)
	);

	// Products title setting
	$wp_customize->add_setting(
		'kyamera_pro_products_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['kyamera_pro_products_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_products_title',
		array(
			'section'		=> 'kyamera_pro_products',
			'label'			=> esc_html__( 'Title:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_products_not_disabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_products_title', 
		array(
	        'selector'            => '#products-section .section-title',
			'render_callback'     => 'kyamera_pro_products_partial_title',
    	) 
    );

    // Products number setting
	$wp_customize->add_setting(
		'kyamera_pro_products_num',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_number_range',
			'default' => 6,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_products_num',
		array(
			'section'		=> 'kyamera_pro_products',
			'label'			=> esc_html__( 'Number of products:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Min: 3 | Max: 6', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_products_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 3, 'max' => 6 ),
		)
	);

    // Products category setting
	$wp_customize->add_setting(
		'kyamera_pro_products_cat',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_products_cat',
		array(
			'section'		=> 'kyamera_pro_products',
			'label'			=> esc_html__( 'Category:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'The button will be linked to the selected category\'s archive link automatically.', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_products_cat',
			'type'			=> 'select',
			'choices'		=> kyamera_pro_get_post_cat_choices(),
		)
	);

	$products_num = get_theme_mod( 'kyamera_pro_products_num', 6 );
	for ( $i=1; $i <= $products_num; $i++ ) { 

		// Products custom image setting
		$wp_customize->add_setting(
			'kyamera_pro_products_image_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'kyamera_pro_products_image_' . $i,
				array(
					'section'		=> 'kyamera_pro_products',
					'label'			=> esc_html__( 'Image ', 'kyamera-pro' ) . $i,
					'active_callback' => 'kyamera_pro_if_products_custom',
				)
			)
		);

		// Products custom link setting
		$wp_customize->add_setting(
			'kyamera_pro_products_link_' . $i,
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default'		=> '#',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_products_link_' . $i,
			array(
				'section'		=> 'kyamera_pro_products',
				'label'			=> esc_html__( 'Link ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_products_custom',
				'type'			=> 'url',
			)
		);

		// Products post setting
		$wp_customize->add_setting(
			'kyamera_pro_products_post_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_products_post_' . $i,
			array(
				'section'		=> 'kyamera_pro_products',
				'label'			=> esc_html__( 'Post ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_products_post',
				'type'			=> 'select',
				'choices'		=> kyamera_pro_get_post_choices(),
			)
		);

		// Products page setting
		$wp_customize->add_setting(
			'kyamera_pro_products_page_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_products_page_' . $i,
			array(
				'section'		=> 'kyamera_pro_products',
				'label'			=> esc_html__( 'Page ', 'kyamera-pro' ) . $i,
				'type'			=> 'dropdown-pages',
				'active_callback' => 'kyamera_pro_if_products_page'
			)
		);

		// Products custom separator setting
		$wp_customize->add_setting(
			'kyamera_pro_products_custom_separator_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Kyamera_Pro_Separator_Custom_Control( 
			$wp_customize,
			'kyamera_pro_products_custom_separator_' . $i,
				array(
					'section'		=> 'kyamera_pro_products',
					'active_callback' => 'kyamera_pro_if_products_not_cat_disabled',
					'type'			=> 'kyamera-separator',
				)
			)
		);
	}

	/**
	 * About section
	 */
	// About section
	$wp_customize->add_section(
		'kyamera_pro_about',
		array(
			'title' => esc_html__( 'About', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_home_panel',
		)
	);

	// About image setting
	$wp_customize->add_setting(
		'kyamera_pro_about_background',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'kyamera_pro_about_background',
			array(
				'section'		=> 'kyamera_pro_about',
				'label'			=> esc_html__( 'Background Image:', 'kyamera-pro' ),
				'active_callback' => 'kyamera_pro_if_about_enabled',
			)
		)
	);
	// About enable settings
	$wp_customize->add_setting(
		'kyamera_pro_about',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_about',
		array(
			'section'		=> 'kyamera_pro_about',
			'label'			=> esc_html__( 'Content type:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'kyamera-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'kyamera-pro' ),
					'post' => esc_html__( 'Post', 'kyamera-pro' ),
					'page' => esc_html__( 'Page', 'kyamera-pro' ),
					'custom' => esc_html__( 'Custom', 'kyamera-pro' ),
			 	)
		)
	);


	// About post setting
	$wp_customize->add_setting(
		'kyamera_pro_about_post',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_about_post',
		array(
			'section'		=> 'kyamera_pro_about',
			'label'			=> esc_html__( 'Post:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_about_post',
			'type'			=> 'select',
			'choices'		=> kyamera_pro_get_post_choices(),
		)
	);

	// About page setting
	$wp_customize->add_setting(
		'kyamera_pro_about_page',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_about_page',
		array(
			'section'		=> 'kyamera_pro_about',
			'label'			=> esc_html__( 'Page:', 'kyamera-pro' ),
			'type'			=> 'dropdown-pages',
			'active_callback' => 'kyamera_pro_if_about_page'
		)
	);



	// About image setting
	$wp_customize->add_setting(
		'kyamera_pro_about_image',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'kyamera_pro_about_image',
			array(
				'section'		=> 'kyamera_pro_about',
				'label'			=> esc_html__( 'Image:', 'kyamera-pro' ),
				'active_callback' => 'kyamera_pro_if_about_custom',
			)
		)
	);

	// About title setting
	$wp_customize->add_setting(
		'kyamera_pro_about_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['kyamera_pro_about_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_about_title',
		array(
			'section'		=> 'kyamera_pro_about',
			'label'			=> esc_html__( 'Title:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_about_custom'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_about_title', 
		array(
	        'selector'            => '#about-section .section-title',
			'render_callback'     => 'kyamera_pro_about_partial_title',
    	) 
    );

	// About content setting
	$wp_customize->add_setting(
		'kyamera_pro_about_content',
		array(
			'sanitize_callback' => 'sanitize_textarea_field',
			'default' => $default['kyamera_pro_about_content'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_about_content',
		array(
			'section'		=> 'kyamera_pro_about',
			'label'			=> esc_html__( 'Content:', 'kyamera-pro' ),
			'type'			=> 'textarea',
			'active_callback' => 'kyamera_pro_if_about_custom'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_about_content', 
		array(
	        'selector'            => '#about-section .entry-content',
			'render_callback'     => 'kyamera_pro_about_partial_content',
    	) 
    );

	// About button text setting
	$wp_customize->add_setting(
		'kyamera_pro_about_btn_txt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['kyamera_pro_about_btn_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_about_btn_txt',
		array(
			'section'		=> 'kyamera_pro_about',
			'label'			=> esc_html__( 'Button Text:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_about_enabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_about_btn_txt', 
		array(
	        'selector'            => '#about-section .more-link a',
			'render_callback'     => 'kyamera_pro_about_partial_btn_txt',
    	) 
    );

	// About link setting
	$wp_customize->add_setting(
		'kyamera_pro_about_link',
		array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '#',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_about_link',
		array(
			'section'		=> 'kyamera_pro_about',
			'label'			=> esc_html__( 'Button Link:', 'kyamera-pro' ),
			'type'			=> 'url',
			'active_callback' => 'kyamera_pro_if_about_custom'
		)
	);

	/**
	 * Features section
	 */
	// Features section
	$wp_customize->add_section(
		'kyamera_pro_features',
		array(
			'title' => esc_html__( 'Features', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_home_panel',
		)
	);

	// Features enable settings
	$wp_customize->add_setting(
		'kyamera_pro_features',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_features',
		array(
			'section'		=> 'kyamera_pro_features',
			'label'			=> esc_html__( 'Content type:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'kyamera-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'kyamera-pro' ),
					'post' => esc_html__( 'Post', 'kyamera-pro' ),
					'page' => esc_html__( 'Page', 'kyamera-pro' ),
					'cat' => esc_html__( 'Category', 'kyamera-pro' ),
					'custom' => esc_html__( 'Custom', 'kyamera-pro' ),
			 	)
		)
	);

    // Features number setting
	$wp_customize->add_setting(
		'kyamera_pro_features_num',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_number_range',
			'default' => 3,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_features_num',
		array(
			'section'		=> 'kyamera_pro_features',
			'label'			=> esc_html__( 'Number of features:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 8', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_features_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 8 ),
		)
	);

	// Features number separator setting
	$wp_customize->add_setting(
		'kyamera_pro_features_num_separator',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Kyamera_Pro_Separator_Custom_Control( 
		$wp_customize,
		'kyamera_pro_features_num_separator',
			array(
				'section'		=> 'kyamera_pro_features',
				'active_callback' => 'kyamera_pro_if_features_not_disabled',
				'type'			=> 'kyamera-separator',
			)
		)
	);

    // Features category setting
	$wp_customize->add_setting(
		'kyamera_pro_features_cat',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_features_cat',
		array(
			'section'		=> 'kyamera_pro_features',
			'label'			=> esc_html__( 'Category:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_features_cat',
			'type'			=> 'select',
			'choices'		=> kyamera_pro_get_post_cat_choices(),
		)
	);

	// Features title setting
	$wp_customize->add_setting(
		'kyamera_pro_features_section_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['kyamera_pro_features_section_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_features_section_title',
		array(
			'section'		=> 'kyamera_pro_features',
			'label'			=> esc_html__( 'Title:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_features_not_disabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_features_section_title', 
		array(
	        'selector'            => '#features-section .section-title',
			'render_callback'     => 'kyamera_pro_features_partial_section_title',
    	) 
    );

	// Features button text setting
	$wp_customize->add_setting(
		'kyamera_pro_features_btn_txt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['kyamera_pro_features_btn_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_features_btn_txt',
		array(
			'section'		=> 'kyamera_pro_features',
			'label'			=> esc_html__( 'Button Text:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_features_not_disabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_features_btn_txt', 
		array(
	        'selector'            => '#features-section .more-link a',
			'render_callback'     => 'kyamera_pro_features_partial_btn_txt',
    	) 
    );

	// Features link setting
	$wp_customize->add_setting(
		'kyamera_pro_features_link',
		array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '#',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_features_link',
		array(
			'section'		=> 'kyamera_pro_features',
			'label'			=> esc_html__( 'Button Link:', 'kyamera-pro' ),
			'type'			=> 'url',
			'active_callback' => 'kyamera_pro_if_features_not_disabled'
		)
	);

	$features_num = get_theme_mod( 'kyamera_pro_features_num', 3 );
	for ( $i=1; $i <= $features_num; $i++ ) { 

		//Features Section icon
		$wp_customize->add_setting(
			'kyamera_pro_features_icons_' . $i,
			array(	
			'sanitize_callback' => 'sanitize_text_field'
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_features_icons_' . $i,
			array(
			'label'       => __('Icon', 'kyamera-pro'). $i,
			'description' => sprintf( __('Please input icon as eg: fa-archive. Find Font-awesome icons %1$shere%2$s', 'kyamera-pro'), '<a href="' . esc_url( 'https://fontawesome.com/v4.7.0/cheatsheet/' ) . '" target="_blank">', '</a>' ),
			'section'     => 'kyamera_pro_features',   
			'active_callback' => 'kyamera_pro_if_features_not_disabled',		
			'type'        => 'text'
			)
		);

		// Features custom title setting
		$wp_customize->add_setting(
			'kyamera_pro_features_custom_title_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['kyamera_pro_features_custom_title'],
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_features_custom_title_' . $i,
			array(
				'section'		=> 'kyamera_pro_features',
				'label'			=> esc_html__( 'Title ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_features_custom'
			)
		);

	    // Features custom content setting
		$wp_customize->add_setting(
			'kyamera_pro_features_custom_content_' . $i,
			array(
				'sanitize_callback' => 'sanitize_textarea_field',
				'default' => $default['kyamera_pro_features_custom_content'],
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_features_custom_content_' . $i,
			array(
				'section'		=> 'kyamera_pro_features',
				'label'			=> esc_html__( 'Content ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_features_custom',
				'type'			=> 'textarea'
			)
		);

		// Features custom link setting
		$wp_customize->add_setting(
			'kyamera_pro_features_link_' . $i,
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default'		=> '#',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_features_link_' . $i,
			array(
				'section'		=> 'kyamera_pro_features',
				'label'			=> esc_html__( 'Link ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_features_custom',
				'type'			=> 'url',
			)
		);

		// Features post setting
		$wp_customize->add_setting(
			'kyamera_pro_features_post_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_features_post_' . $i,
			array(
				'section'		=> 'kyamera_pro_features',
				'label'			=> esc_html__( 'Post ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_features_post',
				'type'			=> 'select',
				'choices'		=> kyamera_pro_get_post_choices(),
			)
		);

		// Features page setting
		$wp_customize->add_setting(
			'kyamera_pro_features_page_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_features_page_' . $i,
			array(
				'section'		=> 'kyamera_pro_features',
				'label'			=> esc_html__( 'Page ', 'kyamera-pro' ) . $i,
				'type'			=> 'dropdown-pages',
				'active_callback' => 'kyamera_pro_if_features_page'
			)
		);

		// Features separator setting
		$wp_customize->add_setting(
			'kyamera_pro_features_separator_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Kyamera_Pro_Separator_Custom_Control( 
			$wp_customize,
			'kyamera_pro_features_separator_' . $i,
				array(
					'section'		=> 'kyamera_pro_features',
					'active_callback' => 'kyamera_pro_if_features_not_disabled',
					'type'			=> 'kyamera-separator',
				)
			)
		);
	}

	/**
	 * Gallery section
	 */
	// Gallery section
	$wp_customize->add_section(
		'kyamera_pro_gallery',
		array(
			'title' => esc_html__( 'Gallery', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_home_panel',
		)
	);

	// Gallery title setting
	$wp_customize->add_setting(
		'kyamera_pro_gallery_section_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['kyamera_pro_gallery_section_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_gallery_section_title',
		array(
			'section'		=> 'kyamera_pro_gallery',
			'label'			=> esc_html__( 'Title:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_gallery_not_disabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_gallery_section_title', 
		array(
	        'selector'            => '#photo-gallery .section-title',
			'render_callback'     => 'kyamera_pro_gallery_partial_title',
    	) 
    );

	// Gallery enable settings
	$wp_customize->add_setting(
		'kyamera_pro_gallery',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_gallery',
		array(
			'section'		=> 'kyamera_pro_gallery',
			'label'			=> esc_html__( 'Content type:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'kyamera-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'kyamera-pro' ),
					'post' => esc_html__( 'Post', 'kyamera-pro' ),
					'page' => esc_html__( 'Page', 'kyamera-pro' ),
					'cat' => esc_html__( 'Category', 'kyamera-pro' ),
					'custom' => esc_html__( 'Custom', 'kyamera-pro' ),
			 	)
		)
	);

	// Gallery number setting
	$wp_customize->add_setting(
		'kyamera_pro_gallery_num',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_number_range',
			'default' => 3,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_gallery_num',
		array(
			'section'		=> 'kyamera_pro_gallery',
			'label'			=> esc_html__( 'Number of gallery:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 9', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_gallery_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 9 ),
		)
	);

	// Gallery number separator setting
	$wp_customize->add_setting(
		'kyamera_pro_gallery_num_separator',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Kyamera_Pro_Separator_Custom_Control( 
		$wp_customize,
		'kyamera_pro_gallery_num_separator',
			array(
				'section'		=> 'kyamera_pro_gallery',
				'active_callback' => 'kyamera_pro_if_gallery_not_disabled',
				'type'			=> 'kyamera-separator',
			)
		)
	);

	// Gallery category setting
	$wp_customize->add_setting(
		'kyamera_pro_gallery_cat',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_gallery_cat',
		array(
			'section'		=> 'kyamera_pro_gallery',
			'label'			=> esc_html__( 'Category:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_gallery_cat',
			'type'			=> 'select',
			'choices'		=> kyamera_pro_get_post_cat_choices(),
		)
	);

	$gallery_num = get_theme_mod( 'kyamera_pro_gallery_num', 3 );
	for ( $i=1; $i <= $gallery_num; $i++ ) { 
		// Gallery custom image setting
		$wp_customize->add_setting(
			'kyamera_pro_gallery_custom_image_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'kyamera_pro_gallery_custom_image_' . $i,
				array(
					'section'		=> 'kyamera_pro_gallery',
					'label'			=> esc_html__( 'Image ', 'kyamera-pro' ) . $i,
					'active_callback' => 'kyamera_pro_if_gallery_custom',
				)
			)
		);

		// Gallery custom content setting
		$wp_customize->add_setting(
			'kyamera_pro_gallery_custom_title_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['kyamera_pro_gallery_custom_title'],
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_gallery_custom_title_' . $i,
			array(
				'section'		=> 'kyamera_pro_gallery',
				'label'			=> esc_html__( 'Title ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_gallery_custom',
				'type'			=> 'text'
			)
		);

	    // Gallery custom content setting
		$wp_customize->add_setting(
			'kyamera_pro_gallery_custom_subtitle_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['kyamera_pro_gallery_custom_subtitle'],
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_gallery_custom_subtitle_' . $i,
			array(
				'section'		=> 'kyamera_pro_gallery',
				'label'			=> esc_html__( 'Subtitle ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_gallery_custom',
				'type'			=> 'text'
			)
		);

		// Gallery custom link setting
		$wp_customize->add_setting(
			'kyamera_pro_gallery_custom_link_' . $i,
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default' => '#',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_gallery_custom_link_' . $i,
			array(
				'section'		=> 'kyamera_pro_gallery',
				'label'			=> esc_html__( 'URL ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_gallery_custom',
				'type'			=> 'url'
			)
		);


		// Gallery post setting
		$wp_customize->add_setting(
			'kyamera_pro_gallery_post_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_gallery_post_' . $i,
			array(
				'section'		=> 'kyamera_pro_gallery',
				'label'			=> esc_html__( 'Post ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_gallery_post',
				'type'			=> 'select',
				'choices'		=> kyamera_pro_get_post_choices(),
			)
		);
		
		// Gallery page setting
		$wp_customize->add_setting(
			'kyamera_pro_gallery_page_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_gallery_page_' . $i,
			array(
				'section'		=> 'kyamera_pro_gallery',
				'label'			=> esc_html__( 'Page ', 'kyamera-pro' ) . $i,
				'type'			=> 'dropdown-pages',
				'active_callback' => 'kyamera_pro_if_gallery_page'
			)
		);

		// gallery button text setting
		$wp_customize->add_setting(
			'kyamera_pro_gallery_btn_txt',
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['kyamera_pro_gallery_btn_txt'],
				'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_gallery_btn_txt',
			array(
				'section'		=> 'kyamera_pro_gallery',
				'label'			=> esc_html__( 'Button Text:', 'kyamera-pro' ),
				'active_callback' => 'kyamera_pro_if_gallery_not_disabled'
			)
		);

		$wp_customize->selective_refresh->add_partial( 
			'kyamera_pro_gallery_btn_txt', 
			array(
				'selector'            => '#photo-gallery .view-all a.btn',
				'render_callback'     => 'kyamera_pro_gallery_partial_btn_txt',
			) 
		);

		// gallery link setting
		$wp_customize->add_setting(
			'kyamera_pro_gallery_link',
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default' => '#',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_gallery_link',
			array(
				'section'		=> 'kyamera_pro_gallery',
				'label'			=> esc_html__( 'Button Link:', 'kyamera-pro' ),
				'type'			=> 'url',
				'active_callback' => 'kyamera_pro_if_gallery_not_disabled'
			)
		);
		
		// Gallery custom separator setting
		$wp_customize->add_setting(
			'kyamera_pro_gallery_custom_separator_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Kyamera_Pro_Separator_Custom_Control( 
			$wp_customize,
			'kyamera_pro_gallery_custom_separator_' . $i,
				array(
					'section'		=> 'kyamera_pro_gallery',
					'active_callback' => 'kyamera_pro_if_gallery_not_disabled',
					'type'			=> 'kyamera-separator',
				)
			)
		);
	}


	/**
	 * cta section
	 */


	// cta section
	$wp_customize->add_section(
		'kyamera_pro_cta',
		array(
			'title' => esc_html__( 'Call To Action', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_home_panel',
			'active_callback' => 'kyamera_pro_if_cta_section_enable',

		)
	);

	// cta enable settings
	$wp_customize->add_setting(
		'kyamera_pro_cta',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_cta',
		array(
			'section'		=> 'kyamera_pro_cta',
			'label'			=> esc_html__( 'Content type:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'kyamera-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'kyamera-pro' ),
					'post' => esc_html__( 'Post', 'kyamera-pro' ),
					'page' => esc_html__( 'Page', 'kyamera-pro' ),
					'custom' => esc_html__( 'Custom', 'kyamera-pro' ),
			 	)
		)
	);

	// cta post setting
	$wp_customize->add_setting(
		'kyamera_pro_cta_post',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_cta_post',
		array(
			'section'		=> 'kyamera_pro_cta',
			'label'			=> esc_html__( 'Post:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_cta_post',
			'type'			=> 'select',
			'choices'		=> kyamera_pro_get_post_choices(),
		)
	);

	// cta page setting
	$wp_customize->add_setting(
		'kyamera_pro_cta_page',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_cta_page',
		array(
			'section'		=> 'kyamera_pro_cta',
			'label'			=> esc_html__( 'Page:', 'kyamera-pro' ),
			'type'			=> 'dropdown-pages',
			'active_callback' => 'kyamera_pro_if_cta_page'
		)
	);

	// cta image setting
	$wp_customize->add_setting(
		'kyamera_pro_cta_image',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'kyamera_pro_cta_image',
			array(
				'section'		=> 'kyamera_pro_cta',
				'label'			=> esc_html__( 'Image:', 'kyamera-pro' ),
				'active_callback' => 'kyamera_pro_if_cta_custom',
			)
		)
	);

	// cta title setting
	$wp_customize->add_setting(
		'kyamera_pro_cta_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['kyamera_pro_cta_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_cta_title',
		array(
			'section'		=> 'kyamera_pro_cta',
			'label'			=> esc_html__( 'Title:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_cta_custom'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_cta_title', 
		array(
	        'selector'            => '#cta h2.section-title',
			'render_callback'     => 'kyamera_pro_cta_partial_title',
    	) 
    );

	// cta content setting
	$wp_customize->add_setting(
		'kyamera_pro_cta_content',
		array(
			'sanitize_callback' => 'sanitize_textarea_field',
			'default' => $default['kyamera_pro_cta_content'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_cta_content',
		array(
			'section'		=> 'kyamera_pro_cta',
			'label'			=> esc_html__( 'Content:', 'kyamera-pro' ),
			'type'			=> 'textarea',
			'active_callback' => 'kyamera_pro_if_cta_custom'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_cta_content', 
		array(
	        'selector'            => '#cta .entry-content',
			'render_callback'     => 'kyamera_pro_cta_partial_content',
    	) 
    );

	// cta button text setting
	$wp_customize->add_setting(
		'kyamera_pro_cta_btn_txt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['kyamera_pro_cta_btn_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_cta_btn_txt',
		array(
			'section'		=> 'kyamera_pro_cta',
			'label'			=> esc_html__( 'Button Text:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_cta_enabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_cta_btn_txt', 
		array(
	        'selector'            => '#cta .more-link a',
			'render_callback'     => 'kyamera_pro_cta_partial_btn_txt',
    	) 
    );

	// cta link setting
	$wp_customize->add_setting(
		'kyamera_pro_cta_link',
		array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '#',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_cta_link',
		array(
			'section'		=> 'kyamera_pro_cta',
			'label'			=> esc_html__( 'Button Link:', 'kyamera-pro' ),
			'type'			=> 'url',
			'active_callback' => 'kyamera_pro_if_cta_custom'
		)
	);


	/**
	 * Testimonial section
	 */
	// Testimonial section
	$wp_customize->add_section(
		'kyamera_pro_testimonial',
		array(
			'title' => esc_html__( 'Testimonial', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_home_panel',
		)
	);

	// Testimonial background image setting
		$wp_customize->add_setting(
			'kyamera_pro_testimonial_background',
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'kyamera_pro_testimonial_background',
				array(
					'section'		=> 'kyamera_pro_testimonial',
					'label'			=> esc_html__( 'Background Image ', 'kyamera-pro' ),
					'active_callback' => 'kyamera_pro_if_testimonial_not_disabled',
				)
			)
		);

	// Testimonial enable settings
	$wp_customize->add_setting(
		'kyamera_pro_testimonial',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_testimonial',
		array(
			'section'		=> 'kyamera_pro_testimonial',
			'label'			=> esc_html__( 'Content type:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'kyamera-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'kyamera-pro' ),
					'post' => esc_html__( 'Post', 'kyamera-pro' ),
					'page' => esc_html__( 'Page', 'kyamera-pro' ),
					'cat' => esc_html__( 'Category', 'kyamera-pro' ),
					'custom' => esc_html__( 'Custom', 'kyamera-pro' ),
			 	)
		)
	);

	// Testimonial number setting
	$wp_customize->add_setting(
		'kyamera_pro_testimonial_num',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_number_range',
			'default' => 3,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_testimonial_num',
		array(
			'section'		=> 'kyamera_pro_testimonial',
			'label'			=> esc_html__( 'Number of testimonial:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 6', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_testimonial_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 6 ),
		)
	);

	// Testimonial number separator setting
	$wp_customize->add_setting(
		'kyamera_pro_testimonial_num_separator',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Kyamera_Pro_Separator_Custom_Control( 
		$wp_customize,
		'kyamera_pro_testimonial_num_separator',
			array(
				'section'		=> 'kyamera_pro_testimonial',
				'active_callback' => 'kyamera_pro_if_testimonial_not_disabled',
				'type'			=> 'kyamera-separator',
			)
		)
	);

	// Testimonial category setting
	$wp_customize->add_setting(
		'kyamera_pro_testimonial_cat',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_testimonial_cat',
		array(
			'section'		=> 'kyamera_pro_testimonial',
			'label'			=> esc_html__( 'Category:', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_testimonial_cat',
			'type'			=> 'select',
			'choices'		=> kyamera_pro_get_post_cat_choices(),
		)
	);

	$testimonial_num = get_theme_mod( 'kyamera_pro_testimonial_num', 3 );
	for ( $i=1; $i <= $testimonial_num; $i++ ) { 
		// Testimonial custom image setting
		$wp_customize->add_setting(
			'kyamera_pro_testimonial_image_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'kyamera_pro_testimonial_image_' . $i,
				array(
					'section'		=> 'kyamera_pro_testimonial',
					'label'			=> esc_html__( 'Image ', 'kyamera-pro' ) . $i,
					'active_callback' => 'kyamera_pro_if_testimonial_custom',
				)
			)
		);

		// Testimonial custom name setting
		$wp_customize->add_setting(
			'kyamera_pro_testimonial_custom_name_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['kyamera_pro_testimonial_custom_name'],
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_testimonial_custom_name_' . $i,
			array(
				'section'		=> 'kyamera_pro_testimonial',
				'label'			=> esc_html__( 'Title ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_testimonial_custom'
			)
		);

	    // Testimonial custom content setting
		$wp_customize->add_setting(
			'kyamera_pro_testimonial_custom_content_' . $i,
			array(
				'sanitize_callback' => 'wp_kses_post',
				'default' => $default['kyamera_pro_testimonial_custom_content'],
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_testimonial_custom_content_' . $i,
			array(
				'section'		=> 'kyamera_pro_testimonial',
				'label'			=> esc_html__( 'Content ', 'kyamera-pro' ) . $i,
				'description'			=> esc_html__( 'HTML Allowed ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_testimonial_custom',
				'type'			=> 'textarea'
			)
		);

		// Testimonial custom content setting
		$wp_customize->add_setting(
			'kyamera_pro_testimonial_position_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_testimonial_position_' . $i,
			array(
				'section'		=> 'kyamera_pro_testimonial',
				'label'			=> esc_html__( 'Position ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_testimonial_not_disabled',
				'type'			=> 'text'
			)
		);

		// Testimonial post setting
		$wp_customize->add_setting(
			'kyamera_pro_testimonial_post_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_testimonial_post_' . $i,
			array(
				'section'		=> 'kyamera_pro_testimonial',
				'label'			=> esc_html__( 'Post ', 'kyamera-pro' ) . $i,
				'active_callback' => 'kyamera_pro_if_testimonial_post',
				'type'			=> 'select',
				'choices'		=> kyamera_pro_get_post_choices(),
			)
		);

		// Testimonial page setting
		$wp_customize->add_setting(
			'kyamera_pro_testimonial_page_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_testimonial_page_' . $i,
			array(
				'section'		=> 'kyamera_pro_testimonial',
				'label'			=> esc_html__( 'Page ', 'kyamera-pro' ) . $i,
				'type'			=> 'dropdown-pages',
				'active_callback' => 'kyamera_pro_if_testimonial_page'
			)
		);

		// Testimonial custom separator setting
		$wp_customize->add_setting(
			'kyamera_pro_testimonial_custom_separator_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Kyamera_Pro_Separator_Custom_Control( 
			$wp_customize,
			'kyamera_pro_testimonial_custom_separator_' . $i,
				array(
					'section'		=> 'kyamera_pro_testimonial',
					'active_callback' => 'kyamera_pro_if_testimonial_not_disabled',
					'type'			=> 'kyamera-separator',
				)
			)
		);
	}

	/**
	 * Partner section
	 */
	// Partner section
	$wp_customize->add_section(
		'kyamera_pro_partner',
		array(
			'title' => esc_html__( 'Partner', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_home_panel',
		)
	);

	// Partner enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_partner',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_partner',
		array(
			'section'		=> 'kyamera_pro_partner',
			'label'			=> esc_html__( 'Enable partner.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Partner number setting
	$wp_customize->add_setting(
		'kyamera_pro_partner_num',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_number_range',
			'default' => 4,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_partner_num',
		array(
			'section'		=> 'kyamera_pro_partner',
			'label'			=> esc_html__( 'Number of partners:', 'kyamera-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 10', 'kyamera-pro' ),
			'active_callback' => 'kyamera_pro_if_partner_enable',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 10 ),
		)
	);

	$partner_num = get_theme_mod( 'kyamera_pro_partner_num', 4 );
	for ( $i=1; $i <= $partner_num; $i++ ) { 
		// Slider custom image setting
		$wp_customize->add_setting(
			'kyamera_pro_partner_logo_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'kyamera_pro_partner_logo_' . $i,
				array(
					'section'		=> 'kyamera_pro_partner',
					'label'			=> esc_html__( 'Partner logo ', 'kyamera-pro' ) . $i,
					'active_callback' => 'kyamera_pro_if_partner_enable',
				)
			)
		);

		// Partner link setting
		$wp_customize->add_setting(
			'kyamera_pro_partner_link_' . $i,
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default' => '#',
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_partner_link_' . $i,
			array(
				'section'		=> 'kyamera_pro_partner',
				'label'			=> esc_html__( 'Partner link ', 'kyamera-pro' ) . $i,
				'type'			=> 'url',
				'active_callback' => 'kyamera_pro_if_partner_enable'
			)
		);

		// Partner open in new tab settings
		$wp_customize->add_setting(
			'kyamera_pro_partner_open_new_tab_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
				'default' => true
			)
		);

		$wp_customize->add_control(
			'kyamera_pro_partner_open_new_tab_' . $i,
			array(
				'section'		=> 'kyamera_pro_partner',
				'label'			=> esc_html__( 'Open in new tab.', 'kyamera-pro' ),
				'type'			=> 'checkbox',
				'active_callback' => 'kyamera_pro_if_partner_enable'
			)
		);

		// Partner separator setting
		$wp_customize->add_setting(
			'kyamera_pro_partner_separator_' . $i,
			array(
				'sanitize_callback' => 'kyamera_pro_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Kyamera_Pro_Separator_Custom_Control( 
			$wp_customize,
			'kyamera_pro_partner_separator_' . $i,
				array(
					'section'		=> 'kyamera_pro_partner',
					'active_callback' => 'kyamera_pro_if_partner_enable',
					'type'			=> 'kyamera-separator',
				)
			)
		);
	}

	/**
	 *
	 * General settings panel
	 * 
	 */
	// General settings panel
	$wp_customize->add_panel(
		'kyamera_pro_general_panel',
		array(
			'title' => esc_html__( 'Advanced Settings', 'kyamera-pro' ),
			'priority' => 107
		)
	);

	$wp_customize->get_section( 'colors' )->panel         = 'kyamera_pro_general_panel';
	
	// Header title color setting
	$wp_customize->add_setting(	
		'kyamera_pro_header_title_color',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_hex_color',
			'default' => '#ff8737',
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control( 
		$wp_customize,
			'kyamera_pro_header_title_color',
			array(
				'section'		=> 'colors',
				'label'			=> esc_html__( 'Site title Color:', 'kyamera-pro' ),
			)
		)
	);

	// Header tagline color setting
	$wp_customize->add_setting(	
		'kyamera_pro_header_tagline',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_hex_color',
			'default' => '#929292',
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control( 
		$wp_customize,
			'kyamera_pro_header_tagline',
			array(
				'section'		=> 'colors',
				'label'			=> esc_html__( 'Site tagline Color:', 'kyamera-pro' ),
			)
		)
	);

	// Header tagline color setting
	$wp_customize->add_setting(	
		'kyamera_pro_theme_color_scheme',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'lite-version',
		)
	);

	$wp_customize->add_control( 'kyamera_pro_theme_color_scheme',
		array(
			'section'		=> 'colors',
			'type'			=> 'radio',
			'priority' => 1,
			'label'			=> esc_html__( 'Theme color scheme:', 'kyamera-pro' ),
			'choices'			=> array( 
				'lite-version' => esc_html__( 'Lite', 'kyamera-pro' ), 
				'dark-version' => esc_html__( 'Dark', 'kyamera-pro' ), 
			),
		)
	);
	
	// Color scheme setting
	$wp_customize->add_setting(	
		'kyamera_pro_color_scheme',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default'	=> 'default',
		)
	);

	$wp_customize->add_control( 
		new Kyamera_Pro_Customize_Control_Radio_Color( 
		$wp_customize,
		'kyamera_pro_color_scheme',
		array(
			'section'		=> 'colors',
			'type'			=> 'radio-color',
			'label'			=> esc_html__( 'Color scheme:', 'kyamera-pro' ),
			'choices'		=> array( 
				'default' => array( 
					'color' => '#e83a3c'
				),
				'blue' => array( 
					'color' => '#00b9ff'
				),
				'green' => array( 
					'color' => '#0cc652'
				),
				'yellow' => array( 
					'color' => '#f5d246'
				),
				'custom' => array( 
					'color' => '#e83a3c'
				),
			),
		)
	)
	);

	// Custom color scheme scheme setting
	$wp_customize->add_setting(	
		'kyamera_pro_custom_color_scheme',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_hex_color',
			'default' => '#e83a3c',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control( 
		$wp_customize,
			'kyamera_pro_custom_color_scheme',
			array(
				'section'		=> 'colors',
				'label'			=> esc_html__( 'Custom color:', 'kyamera-pro' ),
				'active_callback' => 'kyamera_pro_if_custom_color_scheme',
			)
		)
	);

	$wp_customize->get_section( 'background_image' )->panel         = 'kyamera_pro_general_panel';
	$wp_customize->get_section( 'custom_css' )->panel         = 'kyamera_pro_general_panel';

	/**
	 * General settings
	 */
	// General settings
	$wp_customize->add_section(
		'kyamera_pro_general_section',
		array(
			'title' => esc_html__( 'General', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_general_panel',
		)
	);

	// Breadcrumb enable setting
	$wp_customize->add_setting(
		'kyamera_pro_breadcrumb_enable',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_breadcrumb_enable',
		array(
			'section'		=> 'kyamera_pro_general_section',
			'label'			=> esc_html__( 'Enable breadcrumb.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Backtop enable setting
	$wp_customize->add_setting(
		'kyamera_pro_back_to_top_enable',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_back_to_top_enable',
		array(
			'section'		=> 'kyamera_pro_general_section',
			'label'			=> esc_html__( 'Enable Scroll up.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 * Global Layout
	 */
	// Global Layout
	$wp_customize->add_section(
		'kyamera_pro_global_layout',
		array(
			'title' => esc_html__( 'Global Layout', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_general_panel',
		)
	);

	// Global site layout setting
	$wp_customize->add_setting(
		'kyamera_pro_site_layout',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'wide',
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_site_layout',
		array(
			'section'		=> 'kyamera_pro_global_layout',
			'label'			=> esc_html__( 'Site layout', 'kyamera-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'boxed' => esc_html__( 'Boxed', 'kyamera-pro' ), 
				'wide' => esc_html__( 'Wide', 'kyamera-pro' ), 
				'frame' => esc_html__( 'Frame', 'kyamera-pro' ), 
			),
		)
	);

	// Global archive layout setting
	$wp_customize->add_setting(
		'kyamera_pro_archive_sidebar',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'right',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_archive_sidebar',
		array(
			'section'		=> 'kyamera_pro_global_layout',
			'label'			=> esc_html__( 'Archive Sidebar', 'kyamera-pro' ),
			'description'			=> esc_html__( 'This option works on all archive pages like: 404, search, date, category, "Your latest posts" and so on.', 'kyamera-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'left' => esc_html__( 'Left', 'kyamera-pro' ), 
				'right' => esc_html__( 'Right', 'kyamera-pro' ), 
				'no' => esc_html__( 'No Sidebar', 'kyamera-pro' ), 
			),
		)
	);

	// Global page layout setting
	$wp_customize->add_setting(
		'kyamera_pro_global_page_layout',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'right',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_global_page_layout',
		array(
			'section'		=> 'kyamera_pro_global_layout',
			'label'			=> esc_html__( 'Global page sidebar', 'kyamera-pro' ),
			'description'			=> esc_html__( 'This option works only on single pages including "Posts page". This setting can be overridden for single page from the metabox too.', 'kyamera-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'left' => esc_html__( 'Left', 'kyamera-pro' ), 
				'right' => esc_html__( 'Right', 'kyamera-pro' ), 
				'no' => esc_html__( 'No Sidebar', 'kyamera-pro' ), 
			),
		)
	);

	// Global post layout setting
	$wp_customize->add_setting(
		'kyamera_pro_global_post_layout',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'right',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_global_post_layout',
		array(
			'section'		=> 'kyamera_pro_global_layout',
			'label'			=> esc_html__( 'Global post sidebar', 'kyamera-pro' ),
			'description'			=> esc_html__( 'This option works only on single posts. This setting can be overridden for single post from the metabox too.', 'kyamera-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'left' => esc_html__( 'Left', 'kyamera-pro' ), 
				'right' => esc_html__( 'Right', 'kyamera-pro' ), 
				'no' => esc_html__( 'No Sidebar', 'kyamera-pro' ), 
			),
		)
	);

	/**
	 * Blog/Archive section 
	 */
	// Blog/Archive section 
	$wp_customize->add_section(
		'kyamera_pro_archive_settings',
		array(
			'title' => esc_html__( 'Archive/Blog', 'kyamera-pro' ),
			'description' => esc_html__( 'Settings for archive pages including blog page too.', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_general_panel',
		)
	);

	// Archive excerpt setting
	$wp_customize->add_setting(
		'kyamera_pro_archive_excerpt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => esc_html__( 'View the post', 'kyamera-pro' ),
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_archive_excerpt',
		array(
			'section'		=> 'kyamera_pro_archive_settings',
			'label'			=> esc_html__( 'Excerpt more text:', 'kyamera-pro' ),
		)
	);

	// Archive excerpt length setting
	$wp_customize->add_setting(
		'kyamera_pro_archive_excerpt_length',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_number_range',
			'default' => 60,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_archive_excerpt_length',
		array(
			'section'		=> 'kyamera_pro_archive_settings',
			'label'			=> esc_html__( 'Excerpt more length:', 'kyamera-pro' ),
			'type'			=> 'number',
			'input_attrs'   => array( 'min' => 5 ),
		)
	);

	// Date enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_archive_date',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_archive_date',
		array(
			'section'		=> 'kyamera_pro_archive_settings',
			'label'			=> esc_html__( 'Enable date.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Category enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_archive_cat',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_archive_cat',
		array(
			'section'		=> 'kyamera_pro_archive_settings',
			'label'			=> esc_html__( 'Enable category.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Featured image enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_archive_featured_img',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_archive_featured_img',
		array(
			'section'		=> 'kyamera_pro_archive_settings',
			'label'			=> esc_html__( 'Enable featured image.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Content type setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_archive_content_type',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'excerpt',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_archive_content_type',
		array(
			'section'		=> 'kyamera_pro_archive_settings',
			'label'			=> esc_html__( 'Content type:', 'kyamera-pro' ),
			'choices'		=> array(
				'full-content' => esc_html__( 'Full content', 'kyamera-pro' ), 
				'excerpt' => esc_html__( 'Excerpt', 'kyamera-pro' ), 
			),
			'type'			=> 'radio',
		)
	);

	// Pagination type setting
	$wp_customize->add_setting(
		'kyamera_pro_archive_pagination_type',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_select',
			'default' => 'numeric',
		)
	);

	$archive_pagination_description = '';
	$archive_pagination_choices = array( 
				'disable' => esc_html__( '--Disable--', 'kyamera-pro' ),
				'numeric' => esc_html__( 'Numeric', 'kyamera-pro' ),
				'older_newer' => esc_html__( 'Older / Newer', 'kyamera-pro' ),
			);
	if ( ! class_exists( 'JetPack' ) ) {
		$archive_pagination_description = sprintf( esc_html__( 'We recommend to install %1$sJetpack%2$s and enable %3$sInfinite Scroll%4$s feature for automatic loading of posts.', 'kyamera-pro' ), '<a target="_blank" href="http://wordpress.org/plugins/jetpack">', '</a>', '<b>', '</b>' );
	} else {
		$archive_pagination_choices['infinite_scroll'] = esc_html__( 'Infinite Load', 'kyamera-pro' );
	}
	$wp_customize->add_control(
		'kyamera_pro_archive_pagination_type',
		array(
			'section'		=> 'kyamera_pro_archive_settings',
			'label'			=> esc_html__( 'Pagination type:', 'kyamera-pro' ),
			'description'			=>  $archive_pagination_description,
			'type'			=> 'select',
			'choices'		=> $archive_pagination_choices,
		)
	);

	/**
	 * Single setting section 
	 */
	// Single setting section 
	$wp_customize->add_section(
		'kyamera_pro_single_settings',
		array(
			'title' => esc_html__( 'Single Posts', 'kyamera-pro' ),
			'description' => esc_html__( 'Settings for all single posts.', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_general_panel',
		)
	);

	// Date enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_single_date',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_single_date',
		array(
			'section'		=> 'kyamera_pro_single_settings',
			'label'			=> esc_html__( 'Enable date.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Category enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_single_cat',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_single_cat',
		array(
			'section'		=> 'kyamera_pro_single_settings',
			'label'			=> esc_html__( 'Enable category.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Tag enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_single_tag',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_single_tag',
		array(
			'section'		=> 'kyamera_pro_single_settings',
			'label'			=> esc_html__( 'Enable tags.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Comment enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_single_comment',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_single_comment',
		array(
			'section'		=> 'kyamera_pro_single_settings',
			'label'			=> esc_html__( 'Enable comment.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);


	// Author enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_single_author',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_single_author',
		array(
			'section'		=> 'kyamera_pro_single_settings',
			'label'			=> esc_html__( 'Enable author.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Featured image enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_single_featured_img',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_single_featured_img',
		array(
			'section'		=> 'kyamera_pro_single_settings',
			'label'			=> esc_html__( 'Enable featured image.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Pagination enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_single_pagination',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_single_pagination',
		array(
			'section'		=> 'kyamera_pro_single_settings',
			'label'			=> esc_html__( 'Enable pagination.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 * Single pages setting section 
	 */
	// Single pages setting section 
	$wp_customize->add_section(
		'kyamera_pro_single_page_settings',
		array(
			'title' => esc_html__( 'Single Pages', 'kyamera-pro' ),
			'description' => esc_html__( 'Settings for all single pages.', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_general_panel',
		)
	);

	// Author enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_single_page_author',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_single_page_author',
		array(
			'section'		=> 'kyamera_pro_single_page_settings',
			'label'			=> esc_html__( 'Enable author.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Featured image enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_single_page_featured_img',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_single_page_featured_img',
		array(
			'section'		=> 'kyamera_pro_single_page_settings',
			'label'			=> esc_html__( 'Enable featured image.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Pagination enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_single_page_pagination',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_single_page_pagination',
		array(
			'section'		=> 'kyamera_pro_single_page_settings',
			'label'			=> esc_html__( 'Enable pagination.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 * Reset all settings
	 */
	// Reset settings section
	$wp_customize->add_section(
		'kyamera_pro_reset_sections',
		array(
			'title' => esc_html__( 'Reset all', 'kyamera-pro' ),
			'description' => esc_html__( 'Reset all settings to default.', 'kyamera-pro' ),
			'panel' => 'kyamera_pro_general_panel',
		)
	);

	// Reset sortable order setting
	$wp_customize->add_setting(
		'kyamera_pro_reset_settings',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => false,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_reset_settings',
		array(
			'section'		=> 'kyamera_pro_reset_sections',
			'label'			=> esc_html__( 'Reset all settings?', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 *
	 *
	 * Footer copyright
	 *
	 *
	 */
	// Footer copyright
	$wp_customize->add_section(
		'kyamera_pro_footer_section',
		array(
			'title' => esc_html__( 'Footer', 'kyamera-pro' ),
			'priority' => 106,
			// 'panel' => 'kyamera_pro_general_panel',
		)
	);

	// Footer social menu enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_footer_social_menu',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_footer_social_menu',
		array(
			'section'		=> 'kyamera_pro_footer_section',
			'label'			=> esc_html__( 'Enable social menu.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Footer text enable setting
	$wp_customize->add_setting(
		'kyamera_pro_enable_footer_text',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_enable_footer_text',
		array(
			'section'		=> 'kyamera_pro_footer_section',
			'label'			=> esc_html__( 'Enable footer text.', 'kyamera-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Footer copyright setting
	$wp_customize->add_setting(
		'kyamera_pro_copyright_txt',
		array(
			'sanitize_callback' => 'kyamera_pro_sanitize_html',
			'default' => $default['kyamera_pro_copyright_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'kyamera_pro_copyright_txt',
		array(
			'section'		=> 'kyamera_pro_footer_section',
			'label'			=> esc_html__( 'Copyright text:', 'kyamera-pro' ),
			'type'			=> 'textarea',
			'active_callback' => 'kyamera_pro_if_footer_text_enable',
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'kyamera_pro_copyright_txt', 
		array(
	        'selector'            => '#colophon .site-info .footer-copyright',
			'render_callback'     => 'kyamera_pro_copyright_partial',
    	) 
    );
}
add_action( 'customize_register', 'kyamera_pro_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function kyamera_pro_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function kyamera_pro_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function kyamera_pro_customize_preview_js() {
	wp_enqueue_script( 'kyamera-customizer', get_theme_file_uri( '/assets/js/customizer.js' ), array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'kyamera_pro_customize_preview_js' );

/**
 * Binds JS handlers for Customizer controls.
 */
function kyamera_pro_customize_control_js() {


	wp_enqueue_style( 'kyamera-customize-style', get_theme_file_uri( '/assets/css/customize-controls.css' ), array(), '20151215' );

	wp_enqueue_script( 'kyamera-customize-control', get_theme_file_uri( '/assets/js/customize-control.js' ), array( 'jquery', 'customize-controls' ), '20151215', true );
	$localized_data = array( 
		'refresh_msg' => esc_html__( 'Refresh the page after Save and Publish.', 'kyamera-pro' ),
		'reset_msg' => esc_html__( 'Warning!!! This will reset all the settings. Refresh the page after Save and Publish to reset all.', 'kyamera-pro' ),
	);

	wp_localize_script( 'kyamera-customize-control', 'localized_data', $localized_data );
}
add_action( 'customize_controls_enqueue_scripts', 'kyamera_pro_customize_control_js' );

/**
 *
 * Sanitization callbacks.
 * 
 */

/**
 * Checkbox sanitization callback example.
 * 
 * Sanitization callback for 'checkbox' type controls. This callback sanitizes `$checked`
 * as a boolean value, either TRUE or FALSE.
 *
 * @param bool $checked Whether the checkbox is checked.
 * @return bool Whether the checkbox is checked.
 */
function kyamera_pro_sanitize_checkbox( $checked ) {
	// Boolean check.
	return ( ( isset( $checked ) && true == $checked ) ? true : false );
}


/**
 * HEX Color sanitization callback example.
 *
 * - Sanitization: hex_color
 * - Control: text, WP_Customize_Color_Control
 *
 */
function kyamera_pro_sanitize_hex_color( $hex_color, $setting ) {
	// Sanitize $input as a hex value without the hash prefix.
	$hex_color = sanitize_hex_color( $hex_color );
	
	// If $input is a valid hex value, return it; otherwise, return the default.
	return ( ! is_null( $hex_color ) ? $hex_color : $setting->default );
}

/**
 * Image sanitization callback example.
 *
 * Checks the image's file extension and mime type against a whitelist. If they're allowed,
 * send back the filename, otherwise, return the setting default.
 *
 * - Sanitization: image file extension
 * - Control: text, WP_Customize_Image_Control
 */
function kyamera_pro_sanitize_image( $image, $setting ) {
	/*
	 * Array of valid image file types.
	 *
	 * The array includes image mime types that are included in wp_get_mime_types()
	 */
    $mimes = array(
        'jpg|jpeg|jpe' => 'image/jpeg',
        'gif'          => 'image/gif',
        'png'          => 'image/png',
        'bmp'          => 'image/bmp',
        'tif|tiff'     => 'image/tiff',
        'ico'          => 'image/x-icon',
        'svg'          => 'image/svg+xml'
    );
	// Return an array with file extension and mime_type.
    $file = wp_check_filetype( $image, $mimes );
	// If $image has a valid mime_type, return it; otherwise, return the default.
    return ( $file['ext'] ? $image : $setting->default );
}

/**
 * Select sanitization callback example.
 *
 * - Sanitization: select
 * - Control: select, radio
 */
function kyamera_pro_sanitize_select( $input, $setting ) {
	
	// Ensure input is a slug.
	$input = sanitize_key( $input );
	
	// Get list of choices from the control associated with the setting.
	$choices = $setting->manager->get_control( $setting->id )->choices;
	
	// If the input is a valid key, return it; otherwise, return the default.
	return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}

/**
 * Drop-down Pages sanitization callback example.
 *
 * - Sanitization: dropdown-pages
 * - Control: dropdown-pages
 * 
 */
function kyamera_pro_sanitize_dropdown_pages( $page_id, $setting ) {
	// Ensure $input is an absolute integer.
	$page_id = absint( $page_id );
	
	// If $page_id is an ID of a published page, return it; otherwise, return the default.
	return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}

/**
 * Number Range sanitization callback example.
 *
 * - Sanitization: number_range
 * - Control: number, tel
 * 
 */
function kyamera_pro_sanitize_number_range( $number, $setting ) {
	
	// Ensure input is an absolute integer.
	$number = absint( $number );
	
	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;
	
	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );
	
	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );
	
	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );
	
	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}

/**
 * HTML sanitization callback example.
 *
 * - Sanitization: html
 * - Control: text, textarea
 *
 * @param string $html HTML to sanitize.
 * @return string Sanitized HTML.
 */
function kyamera_pro_sanitize_html( $html ) {
	return wp_filter_post_kses( $html );
}

/**
 * Sortable section sanitization callback example.
 *
 * - Sanitization: sortable section
 * - Control: sortable
 *
 * @param string $input Value to be sanitized.
 * @return array Sanitized values as array.
 */
function kyamera_pro_sanitize_sort( $input ) {
	// Ensure $input is an array.
	if ( ! is_array( $input ) ){
		$input = explode( ',', $input );
	}

	$output = array_map( 'sanitize_text_field', $input );

	return $output;
}

/**
 *
 * Active callbacks.
 * 
 */

/**
 * Check if the introduction is enabled
 */
function kyamera_pro_if_introduction_section_enable( $control ) {
	return 'default-design' == $control->manager->get_setting( 'kyamera_pro_design' )->value();
}
/**
 * Check if the introduction is enabled
 */
function kyamera_pro_if_introduction_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'kyamera_pro_introduction' )->value();
}

/**
 * Check if the introduction is custom
 */
function kyamera_pro_if_introduction_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'kyamera_pro_introduction' )->value();
}

/**
 * Check if the introduction is page
 */
function kyamera_pro_if_introduction_page( $control ) {
	return 'page' === $control->manager->get_setting( 'kyamera_pro_introduction' )->value();
}

/**
 * Check if the introduction is post
 */
function kyamera_pro_if_introduction_post( $control ) {
	return 'post' === $control->manager->get_setting( 'kyamera_pro_introduction' )->value();
}

/**
 * Check if the products is enabled
 */
function kyamera_pro_if_products_section_enable( $control ) {
	return 'default-design' == $control->manager->get_setting( 'kyamera_pro_design' )->value();
}

/**
 * Check if the products is not disabled
 */
function kyamera_pro_if_products_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'kyamera_pro_products' )->value();
}

/**
 * Check if the products is page
 */
function kyamera_pro_if_products_page( $control ) {
	return 'page' === $control->manager->get_setting( 'kyamera_pro_products' )->value();
}

/**
 * Check if the products is post
 */
function kyamera_pro_if_products_post( $control ) {
	return 'post' === $control->manager->get_setting( 'kyamera_pro_products' )->value();
}

/**
 * Check if the products is cat
 */
function kyamera_pro_if_products_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'kyamera_pro_products' )->value();
}

/**
 * Check if the products is custom
 */
function kyamera_pro_if_products_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'kyamera_pro_products' )->value();
}

/**
 * Check if the products is not disabled or category.
 */
function kyamera_pro_if_products_not_cat_disabled( $control ) {
	return ( ! kyamera_pro_if_products_cat( $control ) && kyamera_pro_if_products_not_disabled( $control ) );
}

/**
 * Check if the about is enabled
 */
function kyamera_pro_if_about_enabled( $control ) {
	return ('disable' != $control->manager->get_setting( 'kyamera_pro_about' )->value() && (get_theme_mod('kyamera_pro_design') == 'default-design'));
}

/**
 * Check if the about is custom
 */
function kyamera_pro_if_about_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'kyamera_pro_about' )->value();
}

/**
 * Check if the about is page
 */
function kyamera_pro_if_about_page( $control ) {
	return 'page' === $control->manager->get_setting( 'kyamera_pro_about' )->value();
}

/**
 * Check if the about is post
 */
function kyamera_pro_if_about_post( $control ) {
	return 'post' === $control->manager->get_setting( 'kyamera_pro_about' )->value();
}

/**
 * Check if the features is not disabled
 */
function kyamera_pro_if_features_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'kyamera_pro_features' )->value();
}

/**
 * Check if the features is page
 */
function kyamera_pro_if_features_page( $control ) {
	return 'page' === $control->manager->get_setting( 'kyamera_pro_features' )->value();
}

/**
 * Check if the features is post
 */
function kyamera_pro_if_features_post( $control ) {
	return 'post' === $control->manager->get_setting( 'kyamera_pro_features' )->value();
}

/**
 * Check if the features is cat
 */
function kyamera_pro_if_features_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'kyamera_pro_features' )->value();
}

/**
 * Check if the features is custom
 */
function kyamera_pro_if_features_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'kyamera_pro_features' )->value();
}

/**
 * Check if the features is not disabled or category.
 */
function kyamera_pro_if_features_not_cat_disabled( $control ) {
	return ( ! kyamera_pro_if_features_cat( $control ) && kyamera_pro_if_features_not_disabled( $control ) );
}

/**
 * Check if the gallery is not disabled
 */
function kyamera_pro_if_gallery_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'kyamera_pro_gallery' )->value();
}

/**
 * Check if the gallery is page
 */
function kyamera_pro_if_gallery_page( $control ) {
	return 'page' === $control->manager->get_setting( 'kyamera_pro_gallery' )->value();
}

/**
 * Check if the gallery is post
 */
function kyamera_pro_if_gallery_post( $control ) {
	return 'post' === $control->manager->get_setting( 'kyamera_pro_gallery' )->value();
}

/**
 * Check if the gallery is cat
 */
function kyamera_pro_if_gallery_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'kyamera_pro_gallery' )->value();
}

/**
 * Check if the gallery is custom
 */
function kyamera_pro_if_gallery_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'kyamera_pro_gallery' )->value();
}

/**
 * Check if the cta is enabled
 */
function kyamera_pro_if_cta_section_enable( $control ) {
	return 'second-design' == $control->manager->get_setting( 'kyamera_pro_design' )->value();
}
/**
 * Check if the cta is enabled
 */
function kyamera_pro_if_cta_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'kyamera_pro_cta' )->value();
}

/**
 * Check if the cta is custom
 */
function kyamera_pro_if_cta_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'kyamera_pro_cta' )->value();
}

/**
 * Check if the cta is page
 */
function kyamera_pro_if_cta_page( $control ) {
	return 'page' === $control->manager->get_setting( 'kyamera_pro_cta' )->value();
}

/**
 * Check if the cta is post
 */
function kyamera_pro_if_cta_post( $control ) {
	return 'post' === $control->manager->get_setting( 'kyamera_pro_cta' )->value();
}

/**
 * Check if the testimonial is not disabled
 */
function kyamera_pro_if_testimonial_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'kyamera_pro_testimonial' )->value();
}

/**
 * Check if the testimonial is page
 */
function kyamera_pro_if_testimonial_page( $control ) {
	return 'page' === $control->manager->get_setting( 'kyamera_pro_testimonial' )->value();
}

/**
 * Check if the testimonial is post
 */
function kyamera_pro_if_testimonial_post( $control ) {
	return 'post' === $control->manager->get_setting( 'kyamera_pro_testimonial' )->value();
}

/**
 * Check if the testimonial is cat
 */
function kyamera_pro_if_testimonial_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'kyamera_pro_testimonial' )->value();
}

/**
 * Check if the testimonial is custom
 */
function kyamera_pro_if_testimonial_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'kyamera_pro_testimonial' )->value();
}

/**
 * Check if the cta is enabled
 */
function kyamera_pro_if_slider_section_enable( $control ) {
	return 'second-design' == $control->manager->get_setting( 'kyamera_pro_design' )->value();
}

/**
 * Check if the slider is not disabled
 */
function kyamera_pro_if_slider_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'kyamera_pro_slider' )->value();
}

/**
 * Check if the slider is not disabled
 */
function kyamera_pro_if_slider_separator_enable( $control ) {
	return in_array($control->manager->get_setting( 'kyamera_pro_slider' )->value(), array('page','post','custom'));
}

/**
 * Check if the slider is page
 */
function kyamera_pro_if_slider_page( $control ) {
	return 'page' === $control->manager->get_setting( 'kyamera_pro_slider' )->value();
}

/**
 * Check if the slider is post
 */
function kyamera_pro_if_slider_post( $control ) {
	return 'post' === $control->manager->get_setting( 'kyamera_pro_slider' )->value();
}

/**
 * Check if the slider is cat
 */
function kyamera_pro_if_slider_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'kyamera_pro_slider' )->value();
}

/**
 * Check if the slider is custom
 */
function kyamera_pro_if_slider_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'kyamera_pro_slider' )->value();
}

/**
 * Check if the partner is enabled.
 */
function kyamera_pro_if_partner_enable( $control ) {
	return $control->manager->get_setting( 'kyamera_pro_enable_partner' )->value();
}

/**
 * Check if the blog section is not disabled
 */
function kyamera_pro_if_blog_section_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'kyamera_pro_blog_section' )->value();
}

/**
 * Check if the blog section is cat
 */
function kyamera_pro_if_blog_section_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'kyamera_pro_blog_section' )->value();
}

/**
 * Check if the blog section is post
 */
function kyamera_pro_if_blog_section_post( $control ) {
	return 'post' === $control->manager->get_setting( 'kyamera_pro_blog_section' )->value();
}

/**
 * Check if the footer text is enabled
 */
function kyamera_pro_if_footer_text_enable( $control ) {
	return $control->manager->get_setting( 'kyamera_pro_enable_footer_text' )->value();
}

/**
 * Check if custom color scheme is enabled
 */
function kyamera_pro_if_custom_color_scheme( $control ) {
	return 'custom' === $control->manager->get_setting( 'kyamera_pro_color_scheme' )->value();
}


/**
 * Selective refresh.
 */

/**
 * Selective refresh for introduction title.
 */
function kyamera_pro_introduction_partial_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_introduction_title' ) );
}

/**
 * Selective refresh for introduction sub title.
 */
function kyamera_pro_introduction_partial_sub_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_introduction_sub_title' ) );
}

/**
 * Selective refresh for introduction content.
 */
function kyamera_pro_introduction_partial_content() {
	return wp_kses_post( get_theme_mod( 'kyamera_pro_introduction_content' ) );
}

/**
 * Selective refresh for introduction btn text.
 */
function kyamera_pro_introduction_partial_btn_txt() {
	return esc_html( get_theme_mod( 'kyamera_pro_introduction_btn_txt' ) );
}

/**
 * Selective refresh for products title.
 */
function kyamera_pro_products_partial_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_products_title' ) );
}

/**
 * Selective refresh for products btn text.
 */
function kyamera_pro_products_partial_sub_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_products_sub_title' ) );
}

/**
 * Selective refresh for about title.
 */
function kyamera_pro_about_partial_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_about_title' ) );
}

/**
 * Selective refresh for about sub title.
 */
function kyamera_pro_about_partial_sub_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_about_sub_title' ) );
}

/**
 * Selective refresh for about content.
 */
function kyamera_pro_about_partial_content() {
	return wp_kses_post( get_theme_mod( 'kyamera_pro_about_content' ) );
}

/**
 * Selective refresh for about btn text.
 */
function kyamera_pro_about_partial_btn_txt() {
	return esc_html( get_theme_mod( 'kyamera_pro_about_btn_txt' ) );
}

/**
 * Selective refresh for features title.
 */
function kyamera_pro_features_partial_section_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_features_section_title' ) );
}

/**
 * Selective refresh for features btn text.
 */
function kyamera_pro_features_partial_btn_txt() {
	return esc_html( get_theme_mod( 'kyamera_pro_features_btn_txt' ) );
}

/**
 * Selective refresh for gallery title.
 */
function kyamera_pro_gallery_partial_section_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_gallery_section_title' ) );
}
/**
 * Selective refresh for gallery title.
 */
function kyamera_pro_gallery_partial_btn_txt() {
	return esc_html( get_theme_mod( 'kyamera_pro_gallery_btn_txt' ) );
}

/**
 * Selective refresh for cta title.
 */
function kyamera_pro_cta_partial_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_cta_title' ) );
}

/**
 * Selective refresh for cta sub title.
 */
function kyamera_pro_cta_partial_sub_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_cta_sub_title' ) );
}

/**
 * Selective refresh for cta content.
 */
function kyamera_pro_cta_partial_content() {
	return wp_kses_post( get_theme_mod( 'kyamera_pro_cta_content' ) );
}

/**
 * Selective refresh for cta btn text.
 */
function kyamera_pro_cta_partial_btn_txt() {
	return esc_html( get_theme_mod( 'kyamera_pro_cta_btn_txt' ) );
}


/**
 * Selective refresh for blog section title.
 */
function kyamera_pro_blog_section_partial_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_blog_section_title' ) );
}

/**
 * Selective refresh for blog section text.
 */
function kyamera_pro_blog_section_partial_sub_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_blog_section_sub_title' ) );
}

/**
 * Selective refresh for footer copyright.
 */
function kyamera_pro_copyright_partial() {
	return wp_kses_post( get_theme_mod( 'kyamera_pro_copyright_txt' ) );
}

/**
 * Selective refresh for your latest posts title.
 */
function kyamera_pro_your_latest_posts_partial_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_your_latest_posts_title' ) );
}

/**
 * Selective refresh for partner title.
 */
function kyamera_pro_partner_partial_title() {
	return esc_html( get_theme_mod( 'kyamera_pro_partner_title' ) );
}
/**
 * Selective refresh for get started btn text.
 */
function kyamera_pro_slider_get_started_partial_btn_txt() {
	return esc_html( get_theme_mod( 'kyamera_pro_slider_get_started_btn_txt' ) );
}
/**
 * Selective refresh for learn more btn text.
 */
function kyamera_pro_slider_learn_more_partial_btn_txt() {
	return esc_html( get_theme_mod( 'kyamera_pro_slider_learn_more_btn_txt' ) );
}