<?php
/**
 * Food Restro Pro Pro WooCoommerce compatibility hooks.
 *
 * This is the template that includes all WooCoommerce hooks to make the theme compatible with WooCommerce.
 *
 * @package Theme Palace
 * @subpackage Food Restro Pro Pro
 * @since Food Restro Pro Pro 1.0.0
 */
remove_action( 'woocommerce_archive_description', 'woocommerce_taxonomy_archive_description' ,10 );
remove_action( 'woocommerce_archive_description', 'woocommerce_product_archive_description' ,10 );
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb' ,20 );

add_filter( 'woocommerce_show_page_title', '__return_false' );

function kyamera_pro_before_main_content() {
 $header_image = get_header_image(); ?>
	 <div id="page-site-header" class="relative" style="background-image: url('<?php echo esc_url( $header_image ); ?>');">
            <div class="overlay"></div>
            <div class="wrapper">
	            <header class="page-header ">
					<?php
						if ( class_exists( 'WooCommerce' ) && ( is_shop() || is_tax( 'product_cat' ) ) ) { ?>
							<h2 class="page-title"><?php woocommerce_page_title(); ?></h2>
					<?php } else { ?>
							<h2 class="page-title"><?php the_title(); ?></h2>
						<?php }
					?>
				</header><!-- .page-header -->
				<?php  
				$breadcrumb_enable = get_theme_mod( 'kyamera_pro_breadcrumb_enable', true );
				if ( $breadcrumb_enable ) : 
				    ?>
				    <div id="breadcrumb-list">
				        <?php echo kyamera_pro_breadcrumb( array( 'show_on_front'   => false, 'show_browse' => false ) ); ?>  
				    </div><!-- #breadcrumb-list -->
				<?php endif; ?>
        </div><!-- #page-header -->
    </div><!-- #page-header -->
	<?php echo '<div id="inner-content-wrapper" class="wrapper page-section">';
 }
add_action( 'woocommerce_before_main_content', 'kyamera_pro_before_main_content', 5 );

function kyamera_pro_after_main_content() {
	echo '</div>';
}
add_action( 'woocommerce_sidebar', 'kyamera_pro_after_main_content', 20 );

function kyamera_pro_woocommerce_loop_columns() {
	return 3;
}
add_filter( 'loop_shop_columns', 'kyamera_pro_woocommerce_loop_columns' );

